Windows Media Tools

This documentation provides information about tools you can use to create and manage ASF content for Windows Media Services. Most of the tools also have additional online help available.

The information about Windows Media Player and the compression/decompression algorithms (codecs) used by Windows Media Technologies is provided as background information to help you determine the best way to create your content.

This documentation is also provided in .doc format in the SystemDrive\Program Files\Windows Media Components\Docs\print directory and can be viewed with Microsoft WordPad or Microsoft Word.

Related Topics

  • Content creation tools
  • Content management tools
  • Windows Media Player
  • Window Media Codecs

© 1996-1999 Microsoft Corporation. All rights reserved.


Content creation tools

The following list describes the Windows Media Tools that you can use to create ASF content:

  • Windows Media Encoder. Turns content (such as live output from a microphone or a video camera or stored media files) into an ASF stream or file. Windows Media Encoder converts and compresses audio content, video content, and script commands into ASF content using state-of-the-art compression technologies.
  • Windows Media Plug-In for Adobe Premiere. Provides easy compression and conversion of your video files into ASF from within Adobe Premiere. For more information, see Adobe Premiere Help.
  • Windows Media Author. Provides a graphical interface for combining and synchronizing audio and image files. Windows Media Author can display a simulation of your .asf file before you create it. Windows Media Author supports multiple target bandwidths and script commands
  • Windows Media Presenter for Microsoft PowerPoint 97. An add-in tool for use with PowerPoint that, along with Windows Media Encoder, helps you turn a PowerPoint presentation into an ASF stream.
  • Windows Media Publish to ASF for Microsoft PowerPoint 97. An add-in tool that turns your PowerPoint presentation with narrations into an .asf file.
  • VidToASF. A command-line utility that converts .avi or .mov files into .asf files. Use a command-line option to specify script files that add markers, invoke URLs, and execute script commands.
  • WavToASF. A command-line utility that converts .wav or .mp3 files into .asf files. Use a command-line option to specify script files that add markers, invoke URLs, and execute script commands.


Content management tools

Along with content creation tools and utilities, the following tools are provided to help you manage your .asf files after they have been created:

  • Windows Media ASF Indexer. A graphical tool for editing .asf files. Use Windows Media ASF Indexer to add indexing, properties, markers, and scripts to an existing .asf file and to trim the beginning and ending portions of the .asf file.
  • ASFChop. A command-line utility for editing .asf files. Use ASFChop to add markers, scripts, and properties to an .asf file or to delete time periods from an .asf file.
  • ASFCheck. A command-line utility for verifying .asf file formats. ASFCheck can identify problems within an .asf file and effect repairs when possible.


Hardware and software requirements for using Windows Media Tools

The following Windows Media Tools depend on other hardware and software to function correctly. Make sure you have met these requirements before attempting to use the tool.

Windows Media Encoder

To encode live content, the computer on which you install Windows Media Encoder must contain:

  • A sound card to encode audio
  • A video capture card to encode video (optional)

You do not need either of these cards to encode an .avi, .wav, or .mp3 file to an .asf file.

The input jacks on the audio and video cards receive the live data and then transmit it to Windows Media Encoder. For example, to multicast a live speech, you must plug the output from a video camera into the input jack on the video card and plug the output from the microphone into either the audio input jack on the video card or the input jack on the sound card (whichever card the encoder is going to use). The encoder acknowledges these input sources, receives the input, and encodes the audio and video into an ASF stream that is then delivered to a Windows Media server.

If you are planning to use multiple bit rate video to encode live content at multiple bandwidths, your encoding computer's processor must meet the following minimum requirements:

  • Dual Processor Intel Pentium II operating at 266Mhz
  • Single Processor Intel Pentium II operating at 400Mhz

For the best results when encoding live content at multiple bandwidths, the following processors are recommended:

  • Single processor Intel Pentium III operating at 450Mhz
  • Dual Processor Intel Pentium II operating at 400Mhz

Windows Media ASF Indexer

If you plan to use Windows Media ASF Indexer to add indexes, markers, script commands, and properties to existing .asf files, you must install Microsoft Windows Media Player. Windows Media Player is also necessary to render ASF content.

Related Topics

  • Windows Media Encoder
  • Multiple bit rate video
  • Windows Media ASF Indexer
  • Windows Media Player


Concepts

Microsoft Windows NT Server uses Windows Media Services to broadcast audio and video ASF content over a computer network. ASF content can be a live content stream or a stored .asf file.

Windows Media Tools and the third-party tools available elsewhere are used to create the ASF content. You can create an .asf file from stored media, such as sound, picture, and movie files, or from live streams.

This section discusses the underlying concepts behind creating ASF content. It does not cover the preliminary process of preparing and editing multimedia files.


Understanding ASF streams

Windows Media Encoder takes source information in either live or stored form and turns it into ASF content that can be streamed by a Windows Media server. Live information sources are anything you can input into your audio or video card, including a CD player, microphone, VCR, or video camera. Stored information sources include movie, picture, or sound files. Once the media has been converted to ASF, you can deliver it to a Windows Media server for streaming. An ASF stream can also be saved as an .asf file.


Understanding .asf files

An .asf file is a streaming multimedia file that is scaled to fit within a network's available bandwidth.

You can create .asf files from a variety of sources, including:

  • Video. A .mov or .avi file.
  • Images. Any image in the .bmp, .dib, .rle, .jpg, or .gif format.
  • Audio. Any .wav or .mp3 files that use any ACM codec; that is, any audio file you can play on your computer (Microsoft Windows operating systems contain several ACM codecs).
  • Microsoft PowerPoint presentations. Depending on the version of PowerPoint that you are using, you can either save your PowerPoint presentation as an .asf file, or save your PowerPoint slides as .jpg images and then use Windows Media Author to incorporate these images into an .asf file.
  • Live audio and video. Using Windows Media Encoder, you can turn any live event that can be captured with a microphone or a video camera into an .asf file.


Streaming ASF content

ASF content is designed to be streamed from a Windows Media server to a Microsoft Windows Media Player client. The Windows Media server and Windows Media Player client can be used either on the Internet or an intranet, and they can be separated by a firewall. As a content creator, your first concern is the amount of network bandwidth available for content delivery.

Bandwidth and bit rate are essentially the same thing in terms of streaming ASF content. Bandwidth often is used to describe the size of a network, and bit rate is used to describe the rate at which the ASF content is delivered. Content created to stream over a network with a 28.8 kilobits per second (Kbps) bandwidth cannot stream at more than 28.8 Kbps. This means that no more than 28,800 bits of information are traveling across the network each second. A user cannot receive content streamed at a higher bandwidth than the network connection supports.

Intranets can handle content that streams at a much higher bit rate than on the Internet. In the intranet environment, the network administrator or the network bandwidth enforces restrictions on the available bandwidth for content streaming. The network administrator can set the Windows Media server to restrict the amount of information that it streams. This restriction keeps the server, during periods of high use, from streaming so much information that it slows down the overall flow of information on the network. If the network administrator does not set a limit on the amount of information that a Windows Media server can stream, the network bandwidth is the limiting factor for content delivery.


Bandwidth considerations

Before you begin creating ASF content, check the maximum bandwidth allowed on your server.

Once you know the maximum bandwidth of the ASF content that you can create, you can begin. Other than Windows Media Encoder and Windows Media Author, the tools you use to create ASF content do not force you to scale your source files to fit a certain bandwidth. The Windows Media Tools command-line utilities convert source files directly into ASF. ASF content that is created from another file type retains the bandwidth requirements of the original source.

A quick way to find out how much bandwidth your content requires is to play the content with Microsoft Windows Media Player. Once the file is playing, from the View menu, click Statistics. In the dialog box under Network is an entry labeled Bandwidth. The value displayed tells you how many kilobits per second (Kbps) are required to stream the content. There are many ways to reduce amount of bandwidth required by an .asf file, including editing the source files or using codecs to compress the source files.

If you are creating content with a tool that monitors the amount of bandwidth used, the tool automatically reserves a portion of the bandwidth for other types of network traffic. For example, when you set the target bandwidth to 28.8 Kbps, you use an actual bandwidth of approximately 22 Kbps. If you are using a tool that forces you to keep track of the bit rate of the content, you must monitor the amount of information based on the actual bit rate required to deliver the content.


Placing .asf files on a Windows Media server

To stream .asf files after you create them, you must place them on a Windows Media server or an HTTP server. It is suggested that you place them on a Windows Media server because only there do you receive all the ASF functionality. Although an HTTP server can stream .asf files, it cannot duplicate all the functionality of a Windows Media server.

To create Web-page links to the .asf files, it is suggested that you place your .asf files in the Windows Media server content directory. For example, SystemDrive\ASFRoot is the default content directory on a Windows Media server. The Windows Media server searches its content directory for the .asf file to stream when it receives a request. To determine which directory on the Windows Media server is the content directory, open Windows Media Administrator and click Unicast Publishing Points; the content directory path is listed next to the <Home> publishing point. For more information on using Windows Media Administrator, publishing points and the placement of .asf files for streaming, see the Windows Media documentation installed with Windows Media Services.


Placing .asf files on a Web server

If you have a Web server that you want to use to stream ASF content, you can place the .asf files in a Web directory, link to them from your Web page, and then use HTTP to stream the content to your users. In this scenario, the streaming is managed by the Web server, and the installation of Windows Media Services or Windows NT is not required. When streaming .asf files from a Web server, be aware of the following limitations:

  • Web servers cannot use multiple bit rate video and intelligent streaming to negotiate the bandwidth available to the user.
  • Content must be encoded using single stream video configuration, such as the Web server template stream formats or a custom configuration.
  • Content streamed via HTTP does not have the same ability to correct streaming errors. If you use this method, the same stream will be lower in quality than if you stream it using Windows Media Services.
  • Content published by a Web directory can be directly downloaded by the user instead of streamed.

Related Topics

  • Placing .asf files on a Windows Media server
  • Multiple bit rate video
  • Custom configuration
  • About template stream formats


Multiple bit rate video

Whether you are creating content for live broadcast or on-demand distribution, you can use multiple bit rate video to make your content accessible by users that have a network connections that range from 28.8 Kbps dial-up modems to high bandwidth LANs. Encoding content with multiple bit rate video creates multiple video streams along with the audio steam and script command stream (if selected). The video streams are encoded at different target network bandwidths. For example, if you choose to use multiple bit rate video with a single target bandwidth of 56 Kbps, two video streams will be created that use greater and lesser amounts of that bandwidth, but it will not create a video stream that is low enough to make the content accessible by users with a 28.8 Kbps network connection. To supply content to users with 28.8 Kbps connections, choose a template that lists both target networks or specify both target audiences when you create a custom configuration.

When you create a custom configuration with multiple bit rate video, you first select whether to support target audiences with low bandwidth network connections (18 Kbps to 300 Kbps) or high bandwidth (81 Kbps to 10 Mbps) network connections. In each category, Low Bandwidth and High Bandwidth, you can select up to five target audiences for your content. Each target audience supports a different range of network bandwidths. You can also specify the same target audience multiple times within the category and then specify greater or lesser amounts of bandwidth for each. The following table details the bandwidth ranges available and the default category for each target audience.

Target Audience | Default Category | Bandwidth range
28.8 Modem | Low Bandwidth | 18 - 27 Kbps
56 Dial-up Modem | Low Bandwidth | 28 - 37 Kbps
Single Channel ISDN | Low Bandwidth | 38 - 55 Kbps
Dual ISDN | High Bandwidth | 56 - 120 Kbps
Intranet | High Bandwidth | 121 - 250 Kbps
High Speed Internet | High Bandwidth | 251 - 500 Kbps
LAN | High Bandwidth | 501 - 700 Kbps
High Speed LAN | High Bandwidth | 701 Kbps - 10 Mbps

Using multiple bit rate video allows Microsoft Windows Media Player to continue rendering content when network bandwidth is reduced. If the server detects a reduction in the amount of network bandwidth available during the playback, the lower bandwidth video stream will be sent to the player. The user will experience a slightly lower quality stream during the time when the bandwidth is reduced, but the stream will not be interrupted or need to be buffered to recover from the loss of bandwidth.

When you encode a multiple bit rate stream, make sure that there is enough bandwidth available to transfer the full ASF stream between the encoding computer and the Windows Media server. Because additional data is being encoded and all of the encoded video streams must be sent to the server, multiple bit rate streams have a higher aggregate bandwidth requirement for live stream distribution from an encoder to a Windows Media server. The Windows Media server determines the appropriate stream to send to each individual client.

The following table shows the aggregate requirements for the default multiple bit rate template stream formats. The target bandwidths column represents the bandwidths at which the client computer can connect to the server and receive the content. Aggregate bandwidth is the amount of bandwidth necessary for distributing the stream from the encoder to the server. The numbers provided are approximate; actual numbers vary slightly depending on your content.

Template | Target bandwidths (Kbps) | Audio bandwidth (Kbps) | Aggregate bandwidth (Kbps)
Dial-Up Modems - ISDN Multiple Bit Rate Video | 57, 37, 34, 29, 22, 17 | 8 | 204
Intranet - High Speed LAN Multiple Bit Rate Video | 700, 500, 300, 150, 120 | 10 | 1780
28.8, 56, and 100 Multiple Bit Rate Video | 100, 35, 22, 17 | 8 | 174
28.8 Video Voice | 22, 17 | 5 | 34
28.8 Video Audio Emphasis | 22, 17 | 8 | 30
56 Dial-up Modem Video | 37, 22, 17 | 10 | 52

The lowest bandwidth is an automatic "insurance" bandwidth that is created when multiple bit rate encoding is enabled. This insurance bandwidth is created every time you use multiple bit rate encoding, even when a custom configuration is created.

If you are using a custom encoding configuration you can estimate the aggregate bandwidth requirement by adding the following values:

  • Bandwidths specified per target audience selected
  • Audio bandwidth selected
  • Insurance bandwidth

Calculate your insurance bandwidth as a percentage of the lowest target audience bandwidth you have selected. The following table provides the percentages used for each target audience.

Target audience | Percentage
28.8 Modem | 80%
56 Dial-up Modem | 70%
Single Channel ISDN | 66%
All High Bandwidth Audiences | 66%

Finally, be aware that only a single audio stream is encoded for all of the video bandwidths selected. So you must subtract the amount of audio bandwidth required for the audio stream from each of the target audience(s) you selected before performing the addition.


Enhancing ASF content

When you are creating and hosting ASF content you can choose to add features and functions to your content. The following items are some of the options available:

  • Indexing and markers. Makes content seekable, providing fast forward, rewind, and search functions to .asf files unicast from a Windows Media server.
  • Script commands. Makes the user experience more interactive through Web links and related content topics.
  • Playlists. Show multiple pieces of ASF content in a specific order. A common use is to intersperse commercials with your content.


Markers

A marker is a pointer to a specific time in an .asf file. Microsoft Windows Media Player uses markers to seek directly to a point in an .asf file. Markers make it possible for viewers to maneuver through an .asf file. A user can skip ahead or skip back to a previous marker to view a portion of the .asf file again. Markers are used only with stored .asf files. You can use Windows Media ASF Indexer to place markers into your .asf file or you can use a script file with the command-line utility ASFChop.

To create a marker with a script file, specify the time where you want to set the marker and name the marker. You can name the markers anything you like. A marker script file looks like this:

; Sample Marker script.txt
start_marker_table
8 Marker 1
1:00 Marker 2
1:15 Marker 3
3:00:03 Marker 4
end_marker_table

Related Topics

  • Windows Media ASF Indexer
  • ASFChop


Script commands

Script commands instruct Microsoft Windows Media Player to perform additional tasks, called scripts, along with rendering the ASF stream. Script commands can be used with both live ASF streams and stored .asf files. Script commands can be added to live streams through Windows Media Encoder and added to stored files through either Windows Media ASF Indexer or the command-line utilities.

Script commands can be appended to an existing file by using a script file with the command-line utilities provided with Windows Media Tools. You can create these script files using a text editor. Insert script commands into an .asf file using the -script option and the text file.

Related Topics

  • Windows Media ASF Indexer
  • ASFChop
  • Windows Media Encoder


Script command table

The following script types are supported by Microsoft Windows Media Player.

Script type | Function
URL | The player sends the specified URL to the browser for display to the user. If you are using an embedded player control, you can add a specific frame reference to the URL by using the &&framename syntax.
FILENAME | A URL to another media file to be played.
TEXT | A text string that is displayed in the captions area of the media player. This type supports standard HTML formatting, so the text can be formatted as you wish. An example of use is closed captioning.
EVENT | The name of an event that is to occur. The EVENT type supports customization for your own uses. The code for the specified event must be defined in the .asx file for the stream in order for the player to perform the specified event. An example of use is ad insertion.
OPENEVENT | This script precedes the actual EVENT. The OPENEVENT allows the players to pre-buffer the content so that when the event occurs the switch between streams appears close to seamless.


Script files

The following rules apply when creating script files:

  • Lines that begin with semicolons are treated as comments.
  • Blank lines and extra white space generally are ignored.
  • Specify the time for markers and URLs in the hh:mm:ss.t format, where h equals hours, m equals minutes, s equals seconds, and t equals tenths of seconds.
  • Specify times in terms of the source file timeline.

ASF Script Builder can help you build script files. For more information, see ASF Script Builder Utility in the Windows Media Technologies Solutions Samples section of the Windows Media Technologies Software Development Kit (SDK). Download the Windows Media Technologies SDK from the Windows Media Technologies page at the Microsoft Web site.


Scripting examples

The following items are examples of scripting uses:

  • URL flipping
  • Captioning

URL flipping works well by itself, but other script commands require client-side assistance. The captioning in the second example requires some client-side assistance. For information on how to provide client-side assistance for script commands, see the ScriptCommand Event in the Microsoft Windows Media Software Development Kit at the Microsoft Web site.

; This is how you put content information into your .asf
; file when using VidToASF or WavToASF.
Title: This is the title
Author: ASF Maker
Copyright: 1998
Description: text that describes the .asf file
Rating: PG

; Demonstration of URL flipping and captioning
start_script_table
1.0 URL http://Windows Media/images/austr1.html&&Display
5.0 Caption Sydney Opera House
12.0 URL http://Windows Media/images/austr2.html&&Display
15.0 Caption A nice beach north of Sydney
32.0 URL http://Windows Media/images/austr3.html&&Display
35.0 Caption Australia's rain forest
end_script_table

Note

  • In the preceding example, && is used to indicate the frame in a Web page in which the URL is supposed to appear. For this to work properly, the browser must be able to access the URL. If you include a URL that does not exist, the browser returns an error message.


Playlists

Playlists are pointers to .asf files or ASF streams. Each file or stream is referenced by a URL—for example, mms://server/sample.asf or mms://server/alias. In Windows Media Services, there are two types of playlists—client-side and server-side.

Client-side playlists

Client-side playlists are lists of files and streams in an .asx file. Playlists are created using a text editor and standard Extensible Markup Language (XML) syntax to create a list of .asf file references in an .asx file.

Sometimes you may wish to create playlist based on user requests or demographics data. You can use Active Server Pages to dynamically create personalized .asx files based on user requirements. In addition, using the Membership Server and Ad Server features of Microsoft Site Server version 3.0, you can create Web pages that dynamically build a playlist of live stream URLs intermixed with personalized commercial .asf files that target the personal tastes of viewers

Server-side playlists

Server-side playlists are the lists of .asf files and streams in a Windows Media program. Use server-side playlists to set looping and stream durations. Server-side playlists cannot be dynamically generated by Web pages. For more information on server-side playlists, see Understanding Programs and Streams in the documentation installed with Windows Media Services.


Understanding Windows Media Audio Files

Windows Media Audio (.wma) files are a specialized form of Advanced Streaming Format (.asf) files. These files contain audio data that is compressed by using a new high-quality lossy audio compression scheme (codec) called Window Media Audio. Windows Media Audio files are meant to be used with high quality audio-only content.

A .wma file can be distributed using Windows Media Services. When a user requests a .wma file, Windows Media Services automatically creates a special type of announcement file (.wax) that directs the player to the content.

The .wma and .wax extensions can be registered to the default player chosen by the user. Thus, if you are using Windows Media Tools to create audio-only .asf files, renaming them with the .wma extension will increase their portability to different players.

Currently, Windows Media Player is the only player that has the decoding keys for the Windows Media Audio codec. For more information about distributing decoding keys, see the Windows Media Audio Software Development Kit.

Note

  • A .wma file can be encrypted with Windows Media Packager.


Windows Media Encoder

Windows Media Encoder encodes live or stored audio and video into an ASF stream, an .asf file, or both. Windows Media Encoder is the tool of choice when:

  • You are using a live source.
  • You need to compress the video source (live or stored) so that the resulting ASF stream or .asf file fits in a target bandwidth.
  • You want to create content that can span several target bandwidths.
  • You are converting content from an .avi, .mp3, or .wav file, and you want to use a different codec or select the size of the video display.

Note

  • This documentation is intended to give you an overview of the concepts involved in creating ASF content with Windows Media Encoder. For procedural help in using Windows Media Encoder, open Windows Media Encoder, then click Help, Contents to view the online help.


Using Windows Media Encoder

Windows Media Encoder must be configured prior to use. There are three wizards you can use to configure Windows Media Encoder:

  • QuickStart. A template stream format (TSF) is used to configure the ASF stream. QuickStart assumes that you are encoding from a live source and delivering the content to a Windows Media server.
  • Template with I/O Options. This method uses TSFs to enter codec and bandwidth settings, but you select the input devices and output locations.
  • Custom. You have full control over the encoder’s settings.

Windows Media Encoder does not deliver ASF streams to clients (except for testing). It delivers the ASF stream to a Windows Media server, which then can multicast or unicast the ASF stream over the network. If Windows Media Encoder creates an .asf file, that file is saved to a folder specified during configuration. To test an .asf file created by Windows Media Encoder, use Microsoft Windows Media Player to open the .asf file.


QuickStart configuration

If you are unsure of which codecs to use to configure Windows Media Encoder to encode live content for a Windows Media server to broadcast, use QuickStart, and select one of the template stream formats (TSFs) to set the codecs.

Note

  • QuickStart uses the default input devices on your computer to capture the live audio and video content. To find out which capture device is considered the default, look at multimedia devices in control panel. To select different input devices than the default, configure Windows Media Encoder using the Template with I/O Options method.

Related Topics

  • About template stream formats


Template with I/O options configuration

When you select Template with I/O Options, you first choose a template stream format (TSF), the same as you do for QuickStart. However, after you select the TSF, you then advance through the configuration screens and specify the audio and video inputs, the IP port or a Windows Media server that receives the ASF stream, and whether or not you want the encoder to output the ASF stream to an .asf file. The screens you see will differ depending on the TSF you select. When you finish creating the configuration, you can save all settings as an .asd file.


About template stream formats

Template stream formats (TSFs) are preconfigured settings for Windows Media Encoder. The TSFs identify the configuration of standard ASF streams to the Windows Media component services and Microsoft Windows Media Player. The TSFs contain information on the following parameters:

  • Target network bandwidth. This value identifies the minimum bandwidth of the user’s network connection. If the user’s network connection does not support the target bandwidth, the user cannot receive the stream. Windows Media TSFs range in bandwidth from 28.8 kilobits per second(Kbps) to 3 megabits per second (Mbps). If your users range over a variety of bandwidths, consider using a multiple bit rate video template to create a stream that supports multiple bandwidths.
  • Content type. The type of content you plan to stream has a great impact on the audio and video codecs used and the video settings that provide optimal performance. There are a variety Windows Media TSFs for audio only streams as well as multimedia streaming templates.
  • Multiple bit rate video. Multiple bit rate video templates encode multiple video bands into a single ASF stream or file so that the content can stream over variable network bandwidths. This provides for the best client experience at higher bandwidths while still supporting lower bandwidth network connections. It is also useful for times when available network bandwidth is constrained, and the stream needs to adapt to different conditions. When encoding multiple bit rate video at Internet bandwidths, the minimum processor required is a Pentium II 266 MHz. To encode multiple bit rate video on higher bandwidths, a dual Pentium II 400 MHz is required.
  • Web server video. Web server video templates are designed for ASF content that is destined to be streamed from a Web server without using Windows Media Services. These templates provide a simple audio and video stream suitable for HTTP streaming.

Note

  • Windows Media Services can also be used for HTTP streaming and provides a more reliable HTTP transport for streaming media than the streaming methods used by a Web server. If you use Windows Media Services for HTTP streaming, you can use any of the encoding templates. For more information on enabling and using Windows Media services for HTTP streaming, see Using HTTP streaming in Windows Media Services Help.


Producing content for version 2.0

If you still have users that are using version 2.0 of NetShow Player or are providing content to a server using version 2.0 of the Windows Media services, you will need to use the custom configuration method to create version 2.0 compliant .asd files or use the version 2.0 .asd files that you already have to create the content.

If you decide to create new version 2.0 compliant .asd files, use the following guidelines:

  • Select the Microsoft MPEG v1 video codec.
  • Select either the Voxware MetaSound V1 audio format codec or the MPEG Layer-3 audio codec.
  • Do not use multiple bit rate video.
  • Do not use Windows Media Services current version announcement (.asx) files.


Custom configuration

When you custom configure Windows Media Encoder you must identify the bandwidth of the network you are using, the media that make up the ASF stream, the codecs that you use to make your media fit within the network bandwidth, and other details of the encoding process.

After you configure the encoder, click Start to begin streaming ASF information. However, if the Windows Media server is going to use the output from Windows Media Encoder, you must save the configuration as an .asd file. The .asd file contains all the settings and specifications for the ASF stream. To broadcast this ASF stream, make the .asd file available to the system administrator who is setting up the Windows Media server. In setting up the broadcast, the system administrator imports configuration data from the .asd file. When you create a configuration using a template stream format (TSF), the Windows Media component services are pre-configured with the setting and specifications of the ASF stream, so an .asd file is not required.

Note

  • The custom configuration method is provided for advanced users and assumes detailed knowledge of bandwidth capacity, media settings, and codec usage. Windows Media Services can use a wide variety of audio and video codecs. We recommend the Windows Media Audio codec version 2 for audio content and Microsoft MPEG 4 version 3 for video content. The format bit rate that you select with the audio codec determines how much of your bandwidth is left for video content. If you increase the bandwidth you devote to your audio content, your audio quality will improve but will be offset by a decrease in video quality.


Editing properties

Once you have created a configuration (.asd) file for Windows Media Encoder, you can make changes to that configuration by editing its property pages. The property pages available differ depending on whether you use a template stream format (TSF) or a custom configuration.

The properties available when using TSFs are:

  • Template. Controls which TSF is used by the .asd file.
  • Input. Controls the source of the content; either Live or an AVI/WAV/MP3 file.
  • Output. Controls where the .asf file or ASF stream is sent, either to a Windows Media server, a local .asf file, or both.

The properties available when using a custom configuration are:

  • Input. Controls the source of the content; either Live or an AVI/WAV/MP3 file.
  • Bandwidth. Controls the bandwidth at which the content streams.
  • Compression. Controls the audio and video codecs used to compress the content. Also provides access to advanced settings for image size, number of frames per second, number of seconds per I-frame, pixel format, delay buffer, and image quality.
  • Output. Controls where the .asf file or ASF stream is sent, either to a Windows Media server, a local ASF file, or both.

Note

  • If your source is an .mp3 file with ID3 properties, those properties will be preserved in an .asf file. These properties can be edited using Windows Media ASF Indexer.


Using the Windows Media Audio codec

Windows Media Audio is a new audio codec created by Microsoft. Windows Media Encoder included in Windows Media Tools version 4.0 contains the latest version of this codec, Windows Media Audio codec version 2.The codec is designed to handle all types of audio content, from low-bandwidth 8-kilohertz (kHz) speech to 48-kHz stereo music. This codec is very resistant to degradation due to packet loss because it does not use interframe memory. This loss tolerance makes it excellent for use with streaming content. In addition, by using an improved encoding algorithm, this codec encodes and decodes much faster. The improved compression algorithm creates audio files that need much less disk space for storage than the same content created with other codecs. Content created using the Windows Media Audio codec is easily distributed over the Internet because the files can be downloaded more quickly. Therefore, if you are creating audio files for download, the Windows Media Audio codec is a great choice because it provides near-CD-quality sound at half of the bandwidth required by most codecs.

During tests against comparable codecs, the Windows Media Audio codec provided much clearer sound with greater tonal distinction than the others. The combination of superb clarity and tonal depth produces better sounding music content across all supported bandwidths. The Windows Media Audio codec is a highly scalable codec that provides high-quality mono and stereo audio content over a wide range of bandwidths. This allows you to choose the best combination of bandwidth and sampling rates for your content. Thus, Microsoft has chosen to make it the default audio codec for most of the Windows Media Encoder configuration templates.


Viewing statistics

Windows Media Encoder provides a variety of statistics to help you assess the effectiveness of your encoding. These statistics are useful when trying to track the effect of changes to codecs and bit rate settings so you can get the best rendering of content. Also, if you use multiple bit rate video, you can view and compare statistics from the available video streams.

The statistics available are:

  • ASF statistics. Includes the amount of data sent, the amount of padding sent, and the bit rate used to transmit the data.
  • Audio statistics. Includes the amount of data sent and the bit rate used to transmit the data.
  • Script commands. Provides a measure of the number of bytes of script commands sent and how many commands that represents.
  • Video statistics. Provides a measure of the amount of data sent and the amount of data lost. Provides summary statistics of the bit rate and number of frames per second transmitted.
  • Current connections. Displays the IP address of computers currently connected to the encoder.


Starting the encoder

Once Windows Media Encoder is configured, it is ready to start encoding the ASF content. Select Start from the Encode menu or press the start button.

You are presented with the start window after a configuration is completed and when you open Windows Media Encoder from the Start button after saving a configuration file. The start window is composed of a toolbar and three information panels. The toolbar contains shortcuts to common menu commands, such as starting and stopping the encoder, preview video, and help. The panels contain the following information:

  • The Summary Statistics panel provides information about the encoding session, how long it has been encoding, how much data has been encoded in the session, the current bit rate of the content currently being encoded, and the number of frames per second that are being encoded. This gives you a quick means of seeing whether or not the encoding session is providing good quality content.
  • The Summary Settings panel provides information about the configuration you are using. It shows which codecs are being used, which input sources are being used, the output file (if any) , and the name of the template stream format (TSF) , if used.
  • The Connection Information panel provides the stream reference for the encoder. This is the information that is used for connecting a Windows Media server or a Microsoft Windows Media Player client to the Windows Media Encoder content stream.

If you have enabled script commands, the script command box is at the bottom of the start window. To send a script command, type the script command in the box, for example:

URL HTTP://www.example.microsoft.com

and then click the Send icon at the point in the content stream that you want the specified action to occur. Once sent, the script command is embedded into the ASF stream and is carried out by the Windows Media Player client during viewing.

Once you start the encoder, statistics will start to accrue in the Summary Statistics panel, and the camera icon will change from Off Air to On Air.

Related Topics

  • About template stream formats
  • Script commands
  • Stopping the encoder
  • Viewing statistics


Using HTTP streaming with Windows Media Encoder

If your Windows Media server is protected by a firewall, you can still receive source content from a Windows Media Encoder located outside of the firewall using a feature called HTTP streaming.

This option is designed to enable a Windows Media Encoder on the Internet to distribute an ASF stream to a Windows Media server located within a firewall. Standard firewall configurations do not allow distribution of a stream from Windows Media Encoder inside a firewall out to a Windows Media server installation on the Internet.

HTTP streaming is enabled by default for QuickStart configurations. The port reference for HTTP connections is listed in the stream reference box of the encoder. To change the port or to disable HTTP streaming, clear the checkbox for HTTP streaming on the output properties page of your encoder configuration.

If you use the Template or Custom configuration methods, you can select HTTP streaming from the Output Settings, Transmissions page of the configuration wizard.

Note

  • Check with your network administrator to avoid HTTP port conflicts or to open the port in your firewall.


Enabling remote connections to Windows Media Encoder

Windows Media Encoder supports remote connections through dial-up networking. Windows Media Presenter for Microsoft PowerPoint 97 uses this connection to send start, stop, and script commands to Windows Media Encoder during the presentation.

By default, Windows Media Encoder accepts remote connections, unless the computer that Windows Media Encoder is installed on has an active dial-up networking connection at the time of installation. In that case, after the computer restarts, a dialog box is displayed asking you if you want to enable remote connections.

If you do not choose to enable remote connections initially, you can enable them later by running the file Enable_Remote_Connection.reg. This file is in the SystemDrive\Program Files\Windows Media Components\Tools directory. Also in this directory is Disable_Remote_Connection.reg, which is used to disable remote connections.

Note

  • This section applies only to Windows Media Encoders running on computers using the Microsoft Windows 95 or Microsoft Windows 98 operating system.


Stopping the encoder

Stopping Windows Media Encoder causes the content stream to stop encoding. Any computer that is receiving the content stream stops receiving content. After stopping the encoder, it can take a few seconds for the capture cards to be reset. If you try to restart the encoder before they have been reset, a message appears telling you that the video device could not be started. Wait a few seconds, and then try to start the encoder again.

Windows Media Encoder can be stopped by clicking the Stop button or by placing limits on the encoding session, such as limiting the file size or file duration.

Related Topics

  • Starting the encoder
  • Editing properties


Testing ASF streams

After configuring and starting Windows Media Encoder, it is a good idea to test it before providing content to users.

To test the encoder, use Microsoft Windows Media Player to receive the ASF stream from both Windows Media Encoder and the Windows Media server.

The stream originating from Windows Media Encoder is not a multicast stream, so do not use more than fifteen clients to test the encoder.


Publishing to the World Wide Web

Once you have created ASF content with Windows Media Encoder, how can you distribute it effectively to the widest audience? Microsoft has created the Windows Media Service Provider Program to provide content creators with a set of service providers that are qualified to deploy and maintain Windows Media Services-based streaming media solutions.

From the Windows Media Encoder File menu, select Publish to Web to view the list of currently approved Windows Media Service Providers that can publish your content on the Web.


Windows Media Presenter

Windows Media Presenter for Microsoft PowerPoint 97 is an add-in tool that helps you synchronize a PowerPoint presentation with an ASF stream. This add-in enables PowerPoint to:

  • Connect with Windows Media Encoder.
  • Send URL script commands to Windows Media Encoder.
  • Export presentation slides.
  • Create and control a PowerPoint presentation that remote users can watch over a network on their own desktop computers.

For a real-world example of how Windows Media Presenter can add data to an ASF stream, suppose a company's chief executive officer (CEO) is giving a presentation to the employees of the company. Because of time constraints and other commitments, many employees cannot attend the presentation. Using Windows Media Presenter and a Microsoft Windows NT server with Windows Media Services allows those employees to use their computers to view live video of the CEO giving his speech, along with synchronized images of his presentation slides. The Windows Media server delivers the live video content, and Windows Media Presenter allows the CEO to synchronize the delivery of the presentation slides to specific points in the live video content. Employees who want to watch the presentation can download the presentation from a Web page and receive the presentation as if they were in the same room with the presenter.

Windows Media Presenter combines with many other components, such as Windows Media Encoder, Windows Media Services, Internet Information Services (IIS), PowerPoint, and Microsoft Windows Media Player, to provide the content to the employees. Windows Media Presenter is designed to supplement an ASF stream and plays a role in adding information to an ASF stream.

Note

  • If you want to provide Windows Media Presenter content to client computers using Netscape Navigator, the clients must be using Netscape Navigator version 4.05 or later. Otherwise, the content does not play properly with Windows Media Player.


How to...

This section covers the procedures commonly performed when using Windows Media Presenter for Microsoft PowerPoint 97.


To export slides from PowerPoint to the IIS server

  1. Start PowerPoint. On the File menu, click Open, and select the presentation you want to stream.
  2. On the Tools menu, point to Windows Media Presenter, and click Export Slides.
    Export Slides
  3. In the Export Slides dialog box, specify the Destination URL. This is the folder on the Internet Information Services (IIS) server or HTTP server to which you want to export the images. Windows Media Presenter can copy the image files to a local or remote folder or can use file transfer protocol (FTP) to export the images.
  4. In the Image Properties panel of the Export Slides dialog box, set the properties to reflect the dimension, quality, and format of the images that you want to export. If you are unsure of how you want the images to look, use the default values.

    Windows Media Presenter connects to the specified computer and exports the PowerPoint slides as images.


To create a Windows Media Encoder settings file

  1. Start PowerPoint. On the Tools menu, point to Windows Media Presenter, and click New Windows Media Encoder Settings File to create an .nse file.

    The Windows Media Encoder Settings dialog box appears.
    Windows Media Encoder Settings

  2. In the Encoder box, type the path to the computer running Windows Media Encoder. If Windows Media Encoder is running on the PowerPoint station, accept the default setting of localhost.
  3. In the BaseURL dialog box, type the URL for the location of the slides on the IIS server. The BaseURL is important because when you move from slide to slide in the presentation, Windows Media Presenter appends the name of each image to the URL and then sends this URL as a script command to the client.
  4. On the Image Format menu, select the same format specified when the slides were exported to the Internet Information Services (IIS) server. JPEG is recommended for higher-quality images.
  5. Select Ignore errors from Windows Media Encoder. This allows you to continue your presentation regardless of encoding errors. If this is not selected, the PowerPoint presentation ends if Windows Media Encoder fails.
  6. Choose Start new Windows Media Encoder if you want Windows Media Presenter to start a new Windows Media Encoder session. Select the Windows Media Encoder configuration (.asd) file that you want to use with the presentation.

    Or, choose Connect to run Windows Media Encoder if you want Windows Media Presenter to connect to an existing Windows Media Encoder session.

    If you choose to connect to a running Windows Media Encoder, you can select Reconfigure using ASD file to change the encoder’s configuration settings.

  7. To apply these settings to the open presentation, select Use this configuration with the current slide show.


To edit a Windows Media Encoder settings file

  1. Start PowerPoint. On the Tools menu, point to Windows Media Presenter, and click Edit Windows Media Encoder Settings File to edit an .nse file.
  2. The Open Windows Media Encoder Settings File dialog box appears. Select the .nse file you want to edit, and then click Open.

    The Windows Media Encoder Settings dialog box appears.
    Windows Media Encoder Settings

  3. If you need to change to another computer running Windows Media Encoder, in the Encoder box, type the name of that computer. If Windows Media Encoder is running on the PowerPoint computer, type localhost.
  4. If you need to set a new Base URL, in the Base URL dialog box, type the URL. The Base URL is important because when you move from slide to slide in the presentation, Windows Media Presenter appends the name of each image to the URL and then sends this URL as a script command to the client.
  5. If you need to change the image format, select the format from the Image Format list. This must be the same format as the one in which you exported the slides. JPEG is recommended for higher-quality images.
  6. Select Ignore errors from Windows Media Encoder. This allows you to continue your presentation regardless of encoding errors. If this is not selected, the Microsoft PowerPoint presentation ends if Windows Media Encoder fails.
  7. Choose Start new Windows Media Encoder if you want Windows Media Presenter to start a new Windows Media Encoder session. Select the Windows Media Encoder configuration (.asd) file that you want to use with the presentation.

    Or, choose Connect to running Windows Media Encoder if you want Windows Media Presenter to connect to an existing Windows Media Encoder session.

    If you choose to connect to a Windows Media Encoder that is running, you can select Reconfigure using ASD file to change the encoder’s configuration settings.

  8. To apply these settings to the open presentation, select Use this configuration with the current slide show.


To configure Windows Media Presenter settings

  1. Start PowerPoint. From the Tools menu, point to Windows Media Presenter, and click Presenter Settings.

    The Presenter Settings dialog box appears.
    Presenter Settings

  2. If you chose Use this configuration with the current slide show when creating your Windows Media Encoder (.nse) file, the path to the .nse file is already filled in; if not, click Browse to select an .nse file.
  3. Select Use Windows Media Encoder during the slide show to stream a slide show to Windows Media Encoder. Do not select this if you want to rehearse your presentation without encoding it.
  4. To start the slide show, on the Slide Show menu, click View Show. The PowerPoint station is now configured to use Windows Media Presenter.


To configure Windows Media Encoder to create an ASF stream

  1. Open Windows Media Encoder. Create a Windows Media Encoder configuration for your presentation, and save the configuration as an .asd file. There are three different configuration methods you can use:
    • QuickStart
    • Template with I/O Options
    • Custom

    Whichever configuration method you choose, it must support script commands. You can select a template stream format that supports script commands, or you can use a custom configuration with script commands. If script commands are not enabled, the script commands that Microsoft PowerPoint sends when you switch presentation slides are not included in the ASF stream, and images of the slides do not appear on the user's screen.

  2. On the computer running Windows Media Encoder, ready the video camera and microphone to be used to record the presentation. Test the video camera to ensure a signal is delivered to the video card on Windows Media Encoder. Also, test the microphone to make sure it delivers a signal to the sound card.
  3. If you did not select Start new Windows Media Encoder when you created your .nse file, open and start the configuration (.asd) file you created.

Note

  • Windows Media Encoder starts delivering the video to the Windows Media server, but the Windows Media server cannot stream the video to users until a Windows Media program is started.

Related Topics

  • Windows Media Encoder
  • Preparing the Windows Media server
  • Enabling remote connections to Windows Media Encoder


To prepare the Windows Media server for broadcasting a presentation

  1. Open Windows Media Administrator.
  2. Create the programs and streams to multicast the presentation and slides. You need to create the following items:
    • Two multicast file-transfer programs and two streams: one high bandwidth stream to transfer the slides into the browser cache before the presentation starts and one low bandwidth file-transfer stream to continue transferring slides during the presentation. See To create the multicast file-transfer program for Windows Media Presenter and To add a file transfer stream to a program for Windows Media Presenter for detailed step-by-step procedures.
    • One multicast station with a program and stream to multicast the ASF stream that contains the audio content, video content, and script commands. See To create a multicast station, program, and stream for Windows Media Presenter using the Station QuickStart wizard for a detailed step-by-step procedure.
  3. Before the presentation is scheduled to begin, using Windows Media Administrator, start the programs that you set up. When you start the programs, the Windows Media server begins delivering information. Any user who goes to the initial Web page can begin receiving the presentation images.

Note

  • For more information on creating program and streams, see Windows Media Services in the Windows Media documentation installed with Windows Media Services.


To create a multicast file transfer program for Windows Media Presenter

  1. Open Windows Media Administrator.
  2. In the Windows Media Administrator menu frame, click Multicast File Transfers.

    The Multicast File Transfers page appears.

  3. Click Programs, and then click New.

    The Program dialog box appears.

  4. In the Name field, type a name for the program.
  5. (Optional) In the Description, Author, and Copyright fields, type the appropriate information for the program.
  6. In the Play Options area, type the number of times you want the program to play in the Play time(s) box.

    Or, to repeat the program until you select stop, click Play Forever.

  7. Select the Stop Program On Error box, to stop the program when an error occurs. By default, if a stream fails to play, the program continues and attempts to play the next stream in the series.

    The program appears in the list of programs. You now are ready to create file transfer streams. For information on creating streams, see To add a file transfer stream to a program for Windows Media Presenter


To add a file transfer stream to a program for Windows Media Presenter

  1. Open Windows Media Administrator.
  2. In the Windows Media Administrator menu frame, click Multicast File Transfers.

    The Multicast File Transfers page appears.

  3. Under Multicast File Broadcasts, click the name of the program to which you want to add the stream.
  4. Click Streams, and then click New.
  5. To give the stream a name and description, click the General tab.
    • In the Name box, type a name for the stream.
    • In the Description box, type a description for the stream.
  6. To define the source and destination for the stream, click the Source/Destination tab.
  7. Under Source, click File to transfer files and folders.
    • In the File box, type the path to the folder to which you exported the PowerPoint slides, or click Browse to locate and select a folder.
    • Under Destination, specify the location to which the files are transferred. This destination can be overridden by the client.
    • To specify multiple files in a folder for transfer, use a wild card, for example, C:\Content\*.jpg.
  8. Under Destination Address:
    • In the IP Address box, type the destination IP address.
    • In the Port box, type the destination port.

    For a client to receive the multicast, the address and port you set for the stream must match the address and port specified by the control on the client's Web page. The control, Nsfile.ocx, sets the client's network card correctly.

    Multicast addresses range from 224.0.0.0 through 239.255.255.255. An address in the 239.*.*.* range is recommended for intranets. Avoid using addresses in the 224.*.*.* range. These are reserved for low-level protocols.

    IP port numbers range from 1 through 65535.

  9. To specify the scope of the multicast, select a Time to Live option:
    • Click Local Network to limit the broadcast to the local network node.
    • Click Intranet to limit the broadcast to your site.
    • Click Internet to expand the scope of the broadcast to the Internet.
    • Click Other to type a custom value. Values can range from 1 through 255.
  10. Under Destination, select a destination for the file transfer:
    • Click Directory, and type a directory name in the box to transfer the files and folders you have specified to that folder on the client. You can use environment variables to specify a location on the client. By default, files and subfolders are transferred to the folder specified by the client's %temp% environment variable.
    • Click File, and type a file name in the box to transfer a file and rename it on the client.
    • Click Base URL, and type a URL to transfer the files you have specified to the browser cache on the client. The URL you specify is used as a prefix for each of the files transferred.

    This option allows you to load the client's cache with files before they are needed. For example, if you are streaming an .asf file that includes URLs of graphics files, you can transfer them to the client before they are needed for display. Because they are already in the cache, the client can display them quickly.

  11. Click the Advanced tab to set the bandwidth limit on the stream.

    For more information on the Advanced tab, see Using the file transfer Advanced tab.

Note

  • To use Multicast File Transfer to transfer slides to your users, the client computers must have Microsoft Internet Explorer 4.01 installed.


To create a multicast station, program, and stream for Windows Media Presenter using the Station QuickStart wizard

  1. From the Windows Media server, open Windows Media Administrator. In the menu frame, click Multicast Stations.

    The Multicast Stations page opens.

  2. Under Stations, make sure the Use wizard to create new station check box is selected, click Stations, and then click New.

    The Configure and Publish Multicast Broadcast Streams QuickStart wizard appears. Click Next to continue.

  3. On the Select a Station screen, select the Create a new station check box, and click Next.
  4. On the Create a new station screen, type a name for the station, and then a description. Select a Distribution Mode, and then click Next.
  5. On the Specify a program and stream name screen, in Program Name type a name for the program, and in Stream Name type a name for the stream. You also can activate two program options:
    • Selecting Start program once wizard is finished starts the program as soon as the program and stream are created, making it immediately available for viewing.
    • Selecting Replay stream objects once finished (loop) causes the program to start over once it has finished playing. The program will play over and over until it is stopped.
  6. On the Specify a source for the stream object screen, select a source for the stream.
    • Windows Media Encoder is the source for the live PowerPoint presentation.
    • To continue, click Next.
  7. On the Specify a source URL for the stream object screen, in the Source URL dialog box, type the URL to the Windows Media Encoder stream, for example, msbd://encoder:XXXX, where XXX is the port that Windows Media Encoder uses to deliver the stream. Then click Next.
  8. On the Specify stream format information screen, identify whether the Windows Media Encoder is encoding using a standard configuration that utilizes template stream formats or whether you created a custom configuration. If you created a custom configuration, that configuration must have been saved as an .asd file.

    If you used a custom configuration, type the universal naming convention (UNC) path to the location of the .asd file, for example, \\Server\ASDshare\File.asd. Then click Next.

  9. On the Export path for the station information screen, for the Path, type the UNC path to where the station’s .nsc file will be stored, and then click Next.

    Because the .nsc file must be accessible by Windows Media Player, the directory in which you save the .nsc file must be shared, or the file must be stored on an HTTP server.

  10. On the Station information file URL screen, specify the type of path (an HTTP path or a network shared directory), and then type the path. Click Next.

    The path you type must allow Windows Media Player to access the .nsc file that you specified in step 7.

  11. On the Select publishing method screen, select as many publishing methods as you want, and click Next.
    • When you enable a publishing method, the wizard creates that .htm file or copies that HTML code to the Windows clipboard (so that you can paste the code into an HTML page). Each of these methods is a way of testing that your multicast station works. The ASX option is the default selection. You want to use this option with Windows Media Presenter, because you have an existing Web page in which to embed the .asx file.
  12. On the Ready to publish screen, review the list of options you have selected. To edit any of these, click Back once or more to return to the appropriate station information. Otherwise, click Finish.
  13. Save the .asx file that is created to an accessible directory, and then click Next.
  14. Depending on the publishing options you selected, you may be finished. If you selected Create an .htm file with an <HREF> tag that links to an ASX file or Create an .htm file containing <OBJECT> and <EMBED> tags for Windows Media Player, or both, then you must save the .htm files to a directory. The .htm files are named station_href_tag.htm and station_object_tag.htm, where station is the name of your station.
  15. On the Publishing complete panel, you can test your station. To test the station, click the Test .asx button. Windows Media Player will open and begin playing the stream.


Using Windows Media Presenter

This section explains one way to use Windows Media Presenter for Microsoft PowerPoint 97. Using Microsoft Windows Media Player, users watch the streaming video of a presenter talking and see images of the PowerPoint slides on a Web page.

The ASF stream and the PowerPoint presentation referred to are not provided with the Windows Media documentation; however, the Web pages from which users download the presentation material and view the ASF stream and the slide presentation have been provided in the SystemDrive\Program Files\Windows Media Components\Tools\Presenter folder. To make these Web pages work, you must replace the paths and IP addresses in the scripting with the locations of your images and servers. If you want to use these sample pages and need instructions on modifying them, see Presenter sample pages.

The procedures in this section show you how to set up and use Windows Media Presenter to send PowerPoint slides as part of an ASF stream. These procedures use the following programs: Windows Media Encoder, a Windows Media server (for unicasting and multicasting), PowerPoint, Internet Information Services (IIS), and Windows Media Player. Using a separate computer for each program is recommended, although it is not always necessary. Encoding video and audio content into an ASF stream can require a great deal of processing power; forcing a computer to encode audio and video while it does other tasks can cause Windows Media Encoder to fail.

Using Windows Media Presenter requires a collaboration between many different computers on your network to be successful.

The following steps must be accomplished before giving the presentation:

  • The PowerPoint computer must be properly prepared to output the presentation.
  • Windows Media Encoder must be configured to accept the input from both the PowerPoint computer and the live audio and video content.
  • The Windows Media server must have a station set up to transmit the presentation.
  • The IIS server must be configured properly to accept the commands from both the Windows Media server and the users.
  • The users must be prepared to accept the presentation.

Before the presentation begins, the start time and the URLs used for the presentation must be provided to prospective users. When a user opens the initial Web page, images of the PowerPoint slides begin transferring to the user's browser cache. This eliminates the time it takes the browser to download the images from the IIS server during the presentation.

When the PowerPoint presentation starts, Windows Media Presenter connects to Windows Media Encoder, which begins streaming the video and audio. When the presenter switches slides, Windows Media Presenter sends a URL script command to Windows Media Encoder, which then includes the command as part of the ASF stream. When Windows Media Player receives the URL script command, it sends the URL to the browser, which checks its cache to display the image that pertains to the URL in the browser frame. If the image is not in the cache, the browser downloads the image from the IIS server. The user sees the PowerPoint slides in his or her browser window and the video of the presenter in the Windows Media Player window. The audio and video content is synchronized with the switching of slides.

Note

  • If you are connecting through dial-up networking to a Windows Media Encoder that uses either the Microsoft Windows 95 or Microsoft Windows 98 operating system, please see Enabling remote connections to Windows Media Encoder for more information.


Preparing the PowerPoint computer

Preparing the PowerPoint computer consists of three procedures:

  1. Exporting slides from PowerPoint to the IIS server.
    The slides must be put on the Internet Information Services (IIS) server because they are not added to the ASF stream. The ASF stream includes only the script commands that reference them. The script commands tell the user’s browser to change from one slide to another when the presenter changes slides through a URL path command.
  2. Creating a Windows Media Encoder (.nse) settings file.
    The .nse file tells PowerPoint how to connect with Windows Media Encoder and tells Windows Media Encoder the image format and location of the PowerPoint slides. You have the option of connecting to an encoder that is already running or starting a new encoder session. If you choose to start a new encoder session, an .asd file is required, so make sure to create or obtain an .asd file prior to this step.

    If you choose to connect to a running encoder, by default you use the encoder's current configuration. However, when creating the .nse file, you are given the option of specifying a different .asd file to use with the PowerPoint presentation. This can be useful if you have other content streaming over your Windows Media station before the presentation starts. For example, you could have a radio station providing content to users who connect earlier than the scheduled start time. This content uses a different .asd file than the one used for the presentation. By reconfiguring a running Windows Media Encoder, you can use your resources most efficiently.

  3. Configuring Windows Media Presenter for Microsoft PowerPoint 97 settings
    This readies Windows Media Presenter for streaming the presentation. Use it just before starting your presentation. Once you have selected Windows Media Encoder for use during the slide show, you will send data when you start your presentation. Be sure that the person giving the presentation is aware of this step so that presentation rehearsals are not streamed inadvertently.


Preparing Windows Media Encoder

Windows Media Encoder is used to encode live audio and video content into an ASF streams and files. When using Windows Media Presenter for Microsoft PowerPoint 97, Windows Media Encoder is used to create the ASF stream of the presentation for the Windows Media server to broadcast.

Windows Media Encoder must be configured to create the ASF stream in the proper format for your environment.

Related Topics

  • Windows Media Encoder
  • Understanding ASF streams
  • To configure Windows Media Encoder to create an ASF stream


Preparing the Windows Media server

The Windows Media server is responsible for broadcasting the presentation over your network. A Windows Media server sends out content that is organized into programs and streams. To use Windows Media Presenter for Microsoft PowerPoint 97, you must create programs and streams for the presentation, a multicast station, and then start the broadcast.


Using the file transfer Advanced tab

When creating a new file transfer stream, or editing an existing one, use the Advanced tab of the Stream properties sheet to set the following items:

  • In the Multicast Adapter Address box, select the address of the network adapter to use for broadcasting on your server. If your server has only one adapter, do not change the default selection. On computers with multiple adapters, you can use this option to broadcast separate programs simultaneously by entering a different adapter address for each program.
  • In the Maximum Bandwidth box, enter the maximum amount of bandwidth to be used to broadcast the file.

    When broadcasting to clients connected to the network via modem, values in the range of from 10 kilobits per second (Kbps) through 20 Kbps are recommended.

    When broadcasting to clients on a typical Ethernet local area network (LAN), values below 1,000 Kbps are recommended.

  • In the Redundancy box, set the amount of error correction to be used when broadcasting the program.

    The value that you type in the Redundancy box is rounded up to the next percentage. The setting for redundancy can range from 0.4 percent to 100 percent.

    While higher percentages of error correction help to ensure that the client receives the file correctly, they also increase the time it takes to send the file. For example, 100 percent redundancy doubles the time it takes to send a file.

  • In the Duration box, type the length of time for the stream to run. Use the format hh:mm:ss, where h represents hours, m represents minutes, and s represents seconds. When the time is up, either the program ends or, if there is another stream following the current one, the next stream starts.
  • In the Logging box, create a log of the file transfer broadcast. Type the path and file name for the log file in the File Path box. When the file transfer occurs, a log file containing a list of the files transferred and the destination information for each file is created.
  • Click Fully Reliable to enable fully reliable file transfer.

Fully reliable file transfer allows clients to request the server to resend data that they failed to receive. After receiving a resend request, the server broadcasts the requested data to all clients. Using fully reliable file transfer can increase the network bandwidth used by the system.


Preparing the IIS server

To prepare for users to watch the presentation over a network, create two Web pages: an initial Web page and a main viewing Web page. Examples of these Web pages are in the SystemDrive\Program Files\Windows Media Components\Tools\Presenter folder. If you want to use these Web pages for a presentation, replace the image paths and server IP addresses in the scripting provided with the locations of your images and servers. For more information on using these pages, see Presenter sample pages.

The initial Web page contains a file-transfer control that is used to transfer the PowerPoint slides into the user's browser cache. This reduces the amount of time the user must wait to see the slides and enables a smoother-looking slide presentation.

The main viewing page contains a frame for watching the video stream, a frame for viewing the presentation slides, and a file-transfer control. If the user does not receive all the images from the initial page, the control transfers the remaining images to the browser cache. If the main Web page receives a script command that calls for an image that is not in the computer's cache, the browser downloads the image from the HTTP server that contains copies of the presentation images.

Before the presentation, give users the URL for the initial Web page, and encourage them to go to the URL a few minutes before the presentation starts.

When users open the initial Web page, the file-transfer channel opens and begins transferring the presentation images to the computer's cache. When you start the presentation, the initial Web page automatically flips to the main Web page. The code that prompts this flip is embedded in the initial Web page. You enter the time when the Web page must flip and the URL of the main Web page.


Presenter sample pages

When you install Windows Media Presenter for Microsoft PowerPoint 97, a set of sample Web pages is installed as well. You can customize these pages to create your own Windows Media Presenter scenario.

The pages were written using European Computer Manufacturer's Association (ECMA) Script, which is compatible with both Microsoft Jscript and Netscape JavaScript. Knowledge of HTML and Active Server Page authoring is recommended. Windows Media Presenter can be used with both Microsoft Internet Explorer version 4.01 and Netscape Navigator version 4.0 clients.

The Windows Media Presenter sample pages can be found in the SystemDrive\Program Files\Windows Media Components\Tools\Presenter folder on your computer. The first set of files are used on the initial page when a client first connects to your Presenter site. The initial page shows the name of the presentation, the time it starts, and a countdown timer indicating how much time is left before the presentation starts. Running in the background on this page, a control preloads images into the client computer's cache for quick access during the presentation.

This table details the function of these files.

File name | Function
Clbl.class | A label control that counts down the time to the start of the presentation for Netscape Navigator clients.
Default.asp | The initial page that a user enters. The script in this page verifies that the client is using a supported Web browser and operating system. If the client configuration is not supported, a message appears.
Filelist.htm | Use this page to list all the images used in the presentation. This list is only used if you are providing content to Netscape Navigator clients or are not using the Windows Media multicast file transfer service. In that case, the files listed here are transferred to the browser cache using the standard file transfer protocol.
Global.asa | This file defines the properties of the Windows Media Presenter event. See Customizing Global.asa.
Showmult.asp | This page is loaded if the MULTICAST variable in the Global.asa file is set to true. This page checks to see if Microsoft Windows Media Player and the File Transfer Service (FTS) control are installed on the client. If they are not, then they are installed. The page then begins to transfer slides into the computer's cache using the FTS control. This page also provides the countdown timer to the user, showing how much time remains before the presentation is to start. If an error is encountered in the Global.asa file, a message appears.
Showreg.asp | This page is loaded if a Netscape Navigator client is detected or if the MULTICAST variable in the Global.asa file is set to false. This page checks to see if Windows Media Player is installed on the client. If it is not, the player is installed. It calls the Filelist.htm file and loads the images specified in the array into the client computer's cache. It also shows when the presentation is going to start and a countdown timer.

This folder contains two subfolders: First and Images. First contains the pages used once the presentation starts. Images contains .gif files that are referenced in the pages found in First.

The functions of the pages in SystemDrive\Program Files\Windows Media Components\Tools\Presenter\First are described in the following table.

File name | Function
Bleft.asp | This page is called by the Default.asp file and loads Windows Media Player into the upper section of the left frame. If the player has not been installed, it installs the player. This file uses values set in the Global.asa file to locate the content stream.
Bottom.htm | This file sets the lower border.
Default.asp | This is the page that users automatically switch to once the presentation start time is reached. Windows Media Player appears in the upper left frame and shows the speaker. The presentation slides appear in the right frame.
Download.asp | This page is used for Netscape Navigator clients that do not have Windows Media Player installed. It provides instructions for the user on how to download the player manually.
Empty.htm | This is an empty page provided for further customization.
Le.asp | This page is called by the Default.asp file to set the table attributes and to continue downloading slides into the client computer's cache using a lower-bandwidth stream.
Led.htm | This page sets the borders around the page.
Left.htm | This page sets the left-frame border.
Right.htm | This page sets the right-frame border.
Sdisplay.asp | This page calls the slides into the right frame.
Tb.htm | This page sets the upper border of the page.
Test.htm | This page is used to test the frame settings for a Netscape Navigator client.
Top.htm | This page sets the upper border of the right frame.

Notes

  • Active Server Pages (ASP) use the Browser Capabilities Component to determine which browsers are requesting the ASP. Microsoft maintains up-to-date Browscap.ini files that you can use to identify browsers. The current Browscap.ini file can be downloaded from the Microsoft BackOffice page of the Microsoft Web site. A working version of the BrowsCap.ini file that is constantly updated can be downloaded from the Cyscape Web site.
  • If you want to provide Windows Media Presenter content to client computers using Netscape Navigator, the clients must be using Netscape Navigator version 4.05 or later. Otherwise, the content does not play properly with Windows Media Player.


Customizing Global.asa

The Global.asa file controls the variable properties of the on-line presentation. In Global.asa you define the presentation start and stop time, whether or not the presentation is multicast, the title of the event, and the IP address used to transfer slide images to your users.

How this file is configured differs depending on whether your presentation needs to support viewing by Netscape Navigator clients. The default location of the Global.asa file is SystemDrive\Program Files\Windows Media Components\Tools\Presenter. This path will differ if you choose a custom install location for Windows Media Tools.

The following table lists the variables defined in Global.asa and their functions in Presenter.

Variable | Function
NS_PLAY | The path to a player compliant with Netscape Navigator.
NS_CORE | The path to install Windows Media Player if the client does not have it installed.
NS_FILE | The path to install the File Transfer Service control if the client does not have it installed.
MCSIControls | The path to install a timer control if not already installed.
VS_FTS_IP | The IP address for the high-bandwidth file transfer stream created to transfer slides while the user is at the initial Web page, prior to the presentation start time. Replace the IP address that is in quotation marks with your IP address. Used with multicast presentations.
VS_FTS_PORT | The port over which the images are sent during the high-bandwidth file transfer. Replace the port in quotation marks with your port. Used with multicast presentations.
LOW_FTS_IP | The IP address for the low-bandwidth file transfer stream created to transfer slides during the presentation. Replace the IP address in quotation marks with your IP address. Used with multicast presentations.
LOW_FTS_PORT | The port over which the images are sent during the low-bandwidth file transfer. Replace the port in quotation marks with your port. Used with multicast presentations.
SHOW_TIME | The date and time that your presentation is to start, specified in Greenwich Mean Time (GMT). For example, if your presentation is scheduled for July 8, 1998, at 1 P.M. in California, the setting would be: "07/08/1998 21:00:00". GMT is used to enable the presentation time and timer countdown to be translated correctly for users in different time zones.
SHOW_END_TIME | The date and time that your presentation is to end, specified in GMT. For example, if your presentation is scheduled to end July 8, 1998, at 3 P.M. in California, the setting would be "07/08/1998 23:00:00". GMT is used to enable the presentation time and timer countdown to be translated correctly for users in different time zones.
EVENT_TITLE | The title of your presentation that appears on the initial Web page and on the Presentation Web page.
ADMIN_NAME | The name of the person responsible for supporting the event. This name appears on the page that is displayed if an error occurs. Completion is optional.
ADMIN_EMAIL | The e-mail address of the person responsible for supporting the event. This address appears on the page that is displayed if an error occurs. Completion is optional.
VIDEO_WIDTH | The pixel width of the player object. This must correspond to the actual width of the player window as defined by Windows Media Encoder.
VIDEO_HEIGHT | The pixel height of the player object. This must correspond to the actual height of the player window as defined by Windows Media Encoder.
ASX | The path to the .asx file that is used for the presentation. For example, C:\Public\Presenter.asx. This .asx file is embedded in the Web page and is used to locate the presentation stream.
MULTICAST | This variable determines whether or not a Windows Media multicast is used. Enter "True" if you are using a Windows Media server to multicast the presentation and file transfer streams. Enter "False" if you are using another method.


Command-Line Utilities

When you install Windows Media Tools, four command-line utilities are provided to assist with content creation. The command-line utilities are invoked from the command prompt of your server. This section provides the syntax of the commands and the options that are available for use.


How to...

This section contains procedures that are commonly performed using the Windows Media Tools command-line utilities.


To convert .avi and .mov files to .asf files

  1. From the Windows Start menu, point to Programs, and then click Command Prompt.
  2. In Command Prompt, locate the directory that contains the input source file, and enter the following command (substituting the names of your .avi, .mov, and .asf files):
    VidToASF -in {filename.avi | filename.mov} -out filename.asf

Note

  • The -out option is optional. If you do not specify this option, VidToASF creates an output file with the same name as the input file and appends the .asf extension.


To convert an audio file to an .asf file

  1. From the Windows Start menu, point to Programs, and then click Command Prompt.
  2. In Command Prompt, locate the directory that contains the input source file, and enter the following command (substituting the names of your .wav or .mp3 and .asf files):
     WavToASF -in filename.[wav][mp3] -out filename.asf

Note

  • The -out option is optional. If you do not specify this option, WavToASF creates an output file with the same name as the input file and appends the .asf extension.


To prepare and use the -audiofile option

  1. To extract the audio from the video file, use a video or audio editing tool (such as VidEdit, Sound Forge, or AVIEdit).
  2. Open the extracted audio file in Microsoft Windows Sound Recorder (or any audio editing tool on your computer), and compress the audio with one of the available codecs.
  3. When converting the video file to an .asf file, use the newly compressed audio file in the -audiofile option.
    VidToASF -in {filename.avi | filename.mov} -audiofile {filename.wav}-out filename.asf

Note

  • When compressing the audio, use one of the standard codecs provided with the Microsoft Windows operating system or with Microsoft Windows Media Player. If you use a codec that is not resident on the user's machine, the user will not receive the audio content when playing the .asf file.


To use ASFChop on your .asf file

  1. From the Windows Start menu, point to Programs, and then click Command Prompt.
  2. In Command Prompt, locate the directory that contains the input source file, and enter the following command (substituting the names of your .asf files):
     ASFChop -in filename.asf -out filename.asf
  3. Append the desired options after the -out option, such as -duration, -end, and -script. Then press enter.

Related Topics

  • ASFChop command-line options

Note

  • The -out option is optional. If you do not specify this option, ASFChop creates an output file with the same name as the input file and appends the .asf extension.


To run ASFCheck on your .asf files

  1. From the Windows Start menu, point to Programs, and then click Command Prompt.
  2. In Command Prompt, locate the directory in which your .asf files are stored.
  3. At the system prompt, type
    asfcheck [/f] [/v] filename.asf

    If you have many .asf files to check and they are organized in subdirectories, type

    asfcheck [/f] [/v] /s *.asf


VidToASF

The VidToASF command-line conversion utility converts .avi or .mov video files into .asf files. VidToASF converts one format directly into Advanced Streaming Format. VidToASF cannot edit the source files, and it does not compress the source automatically so that the resulting .asf file fits in a particular bandwidth. To use a file that is not an .avi or .mov file (for example, a Moving Picture Experts Group [MPEG] file) as the input source, convert that file to either .mov or .avi format before you use VidToASF. If you need to edit the .avi or .mov file (for example, to reduce the color depth, adjust the height or width of the display window, or adjust the quality of the audio track) so that the resulting .asf file can fit in a particular bandwidth, make all revisions before using VidToASF.

Note

  • Quicktime files with non-ACM or ICM data cannot be converted into .asf files. Quicktime VR is not supported.

Related Topics

  • To convert .avi and .mov files to .asf format


VidToASF command-line options

The command-line options allow you to specify a particular setting or include additional files in the .asf file. To view an online listing of the options, from the Windows Start menu, point to Programs, and then click Command Prompt, type the name of the utility, and press ENTER.

Option | Option argument | Description
-audio | stream | Specifies which stream you want to use if the audio file has more than one audio stream.
-audiofile | filename | Specifies an audio file to take the place of the audio in the video file. Use this option to replace the audio track of an .avi file with a compressed .wav file.
-eccspan | on|off | Turns on error correction. Error correction is on by default for all .asf files of less than 150,000 kilobits per second (Kbps) and off by default for all .asf files of more than that. To override the default, set the eccspan option on the command line.
-in | filename.ext | Specifies the input video file (either .avi or .mov) that you are converting to an .asf file. This is the only required option.
-leadtime | # of milliseconds | Specifies the desired time that you want the .asf file to wait after it buffers but before it begins playing. The default is 1,000 milliseconds. If you are converting .avi files with smaller bit rates (less than 100 Kbps), increase the lead time (up to 3,000 milliseconds).
-out | filename.asf | Specifies a name for the output file. If you don't give the output file a name, VidToASF uses the name of the input file and substitutes the .asf extension.
-script | filename | Specifies the name of the script file to use in adding URLs, script commands, content information, or markers to your output file.
-seekable | on|off | Fast-forwards or rewinds through an .asf file. When you create an .asf file, VidToASF sometimes issues a warning, "No index built," if there aren't enough key frames for VidToASF to generate an index. If this happens, you cannot seek in the .asf file. However, if you use the -seekable option to turn on seeking, VidToASF allows seeking in the .asf file, but the .asf file looks imperfect during seeking. The default for this option is off.
-video | stream | Specifies which stream to use if the video file has more than one stream. Because most video files have only one stream, the default is to use the standard video stream.
-wavespan | # of milliseconds | Specifies the length of time (in milliseconds) over which audio will be smeared in the file. If packets are lost, audio smearing helps create better results. Unless you are sure that packets will not be lost, it is better to use the default setting (400 milliseconds).

Related Topics

  • VidToASF
  • WavToASF
  • Script commands
  • About the -audiofile command-line option


About the -audiofile command-line option

The -audiofile option looks like this:

VidToASF -in filename.avi -audiofile filename.wav -out filename.asf

The -audiofile option tells VidToASF to use the given audio file (filename.wav) in place of the audio currently in the .avi or .mov file. With this option, you can use the codecs that come with Windows Media Tools to compress the audio file. Many video editing tools do not contain as many codecs, nor do they support the codecs that are included with Windows Media Tools.

Related Topics

  • To prepare and use the -audiofile option


WavToASF

Use the WavToASF command-line conversion utility to convert .wav or .mp3 audio files to .asf files. WavToASF creates audio .asf files that contain no images. WavToASF follows the same conventions as VidToASF in that you must do all editing or conversion to the source before you convert it to an .asf file. The input source .wav or .mp3 files can be compressed or uncompressed. If the input file is compressed, it must be compressed with one of the codecs that is resident on the computer. Many different codecs can be used with the .wav and .mp3 file formats. To find out if the codec used with your target file is resident on your computer, try to play the file. If you can play the file, then it can be used to create an .asf file.

Note

  • If your source is an .mp3 file with ID3 properties, those properties will be preserved in the .asf file.

Related Topics

  • To convert an audio file to .asf format


WavToASF command-line options

The command-line options allow you to specify a particular setting or include additional files in the asf file. To view an online listing of the options, from the Windows Start menu, point to Programs, and then click Command Prompt, type the name of the utility, and press ENTER.

Option | Option argument | Description
-eccspan | on|off | Turns error correction on or off. The default setting is on.
-in | filename.wav filename.mp3 | Specifies the input audio file that is to be converted to an .asf file.
-leadtime | # of milliseconds | Specifies the maximum time before a file begins to play. If there is packet loss, lower values sometimes result in poorer audio smearing. The default setting is 4,000 milliseconds.
-out | filename.asf | Specifies a name for the output file. If you do not give the output file a name, WavToASF uses the input file name as the name of the output file and then appends the .asf extension.
-script | filename | Specifies the name of the script file to use if you want to add URLs, script commands, or markers to your output file.

Related Topics

  • VidToASF
  • WavToASF
  • About the -audiofile command-line option


ASFChop

ASFChop is a command-line tool that you can use to delete parts of an .asf file and to add indexing, script commands, markers, and general properties to an .asf file. Deleting parts of a file reduces the length of time required to stream the file. ASFChop creates an index for that file so that you can seek (similar to fast forward) through the file. Windows Media Encoder can also be used to create seekable .asf files. An .asf file must have at least 10 seconds of content to be indexed.

Related Topics

  • Script files
  • Markers
  • Script commands
  • Windows Media ASF Indexer
  • To use ASFChop on your .asf file


ASFChop command-line options

The command-line options allow you to specify a particular setting or include additional files in the .asf file. To view an online listing of the options, from the Windows Start menu, point to Programs, and then click Command Prompt, type the name of the utility, and press ENTER.

Option name | Option argument | Description
-duration | time | Provides the duration of the output .asf files. Note: Use either the -duration or -end options.
-eccspan | on|off | Turns error correction on or off. If this option is not supplied, the error correction setting from the input file is maintained.
-end | time | Specifies the time when you want the .asf file to end.
-in | filename.asf | Specifies the .asf file that you want to edit.
-out | filename.asf | Specifies a name for the output file. If you do not give the output file a name, ASFChop will output the new file with the same name as the input file.
-script | filename | Specifies the name of the script file to use in adding URLs, script commands, content information, or markers to your output file.
-start | time | Cuts off the beginning of an .asf file. When you set a start time, ASFChop removes all content before that time. When the .asf file is saved, that time becomes the beginning of the .asf file.

Note

  • Times for any of the options must be specified as hh:mm:ss.t, where h equals hours, m equals minutes, s equals seconds, and t equals tenths of seconds. For example 04:12:28.9 is 4 hours, 12 minutes, 28 and 0.9 seconds.


ASFCheck

ASFCheck is an .asf file verification utility. ASFCheck can be used to detect and fix some problems that are commonly found in ASF version 1.0 files. Not all problems can be fixed or detected by this utility. This utility supports batch mode, so you can verify all .asf files in a directory by typing "*.asf" in place of the filename at the command line.

ASFCheck has three command-line options.

Option | Description
/f | Instructs ASFCheck to repair the file, if possible. If this option is chosen, the file repair occurs in place, and the repaired file replaces the damaged file. If you want to keep the earlier version, make a backup copy of the file in another directory.
/v | Instructs ASFCheck to provide verbose output.
/s | Instructs ASFCheck to recurse through subdirectories starting from the current directory.

Default messages created by ASFCheck are displayed in the console window. To have them saved to a file, use the syntax from the following example:

asfcheck /f /v /s c:\*.asf > work.log 2> error.log

This command creates two files: work.log and error.log. Work.log will contain messages that relate to fixing the file; error.log will contain messages that relate to errors encountered in the .asf file.


ASFCheck completion messages

Message | Resolution
OK: filename.asf was processed with no errors | The .asf file is ready to be viewed.
WARNING: filename.asf contained some minor problems. The file is playable, but some results may not be optimal. | If you did not specify the /f option on ASFCheck, run the utility again with the /f repair option enabled. If /f was specified, ASFCheck has fixed all the problems it can. Test the quality of the .asf file before providing it to viewers.
ERROR: filename.asf contained some errors, but they are repairable. | If you did not specify the /f option on ASFCheck, run the utility again with the /f repair option enabled.
FATAL: filename.asf is invalid or corrupted and cannot be repaired. | You must recreate this .asf file.
FAILED: An error occurred processing the filename.asf. | You must recreate this .asf file.


ASFCheck error messages

Message | Outcome
An unexpected error occurred. | The error encountered in the .asf file is not recognized by ASFCheck; this file may not play correctly.
The ASF file could not be opened. | Verify that the filename was typed correctly. Then check that the .asf file is not being used by another program. Finally, check the file attributes of the .asf file to ensure that it is not a read-only file.
The specified file is not a valid ASF. | Verify that the file has an .asf extension. If it does, the file was not created using a valid .asf creation tool.
The ASF is affected by the payload overrun bug. | This file may produce unpredictable results when played.
The ASF appears to be truncated. | Not all of the information specified is available in the .asf file. This file cannot play correctly and cannot be fixed. This file must be recreated.
The ASF file has been corrupted. | This file is not readable by ASFCheck and cannot be repaired. This file cannot play and must be recreated.
The preroll field in the ASF is zero. | Content created with previous versions of Windows Media Services has the preroll field set to zero. For optimal performance, the preroll value must be reset. ASFCheck can fix this setting.
The preroll field in the ASF in inaccurate. | Some tools set preroll values that are not correct for the ASF content. To optimize the quality of the ASF content, use ASFCheck to fix this value.
The preroll field in the ASF is set to an invalid value. | Some tools set preroll values that are not correct for the ASF content. To optimize the quality of the ASF content, use ASFCheck to fix this value.
The ASF contains invalid presentation times. | Presentation times control when content is rendered. If they are invalid, the file does not play correctly. This problem cannot be fixed. The .asf file must be recreated.
The ASF contains objects that play before they are sent. | In this error, presentation times are not correctly synchronized. ASFCheck can correct this problem.
The ASF file contains a video stream without key frame information. The ASF contains an index, so it will be possible to partially reconstruct key frame information. | Key frames are required to render content. If the .asf file is indexed, key frame information can be extrapolated from the index so that the content can be played.
The ASF file contains a video stream without key frame information. No index is included, so key frame information cannot be reconstructed. | Key frames are required to render content. If the .asf file is not indexed, key frame information cannot be extrapolated from the index, so the content cannot be played.
Some of the objects in the ASF appear to be missing or out of order. | Each object in an ASF has an object ID that tells the player when to render specific content. If these IDs are out of order or missing, ASFCheck can re-order the .asf file so that it plays correctly.
This ASF contains invalid object ID fields. | Each object in an .asf file has an object ID that tells the player when to render specific content. If these IDs are invalid, the player cannot render the file. This problem is irreparable. The .asf file must be recreated.
A problem occurred, and the .asf file could not be repaired | ASFCheck attempted to fix a problem, and it could not complete the process. This is often caused by the file being designated as read-only. Ensure that all .asf files being checked are not read-only before using ASFCheck.
The system cannot find the file. | Verify that the path and the filename supplied to ASFCheck have no spelling errors.
No matching files were found. | Wildcard values of * and ? are supported by ASFCheck. When these are used in the filename parameter, ASFCheck will look in the directory specified for filename that match the specifications. This message appears when no filenames match the specified parameters.
Invalid path. | The specified path is incorrect or does not exist. Check the path you specified for typing errors. Also make sure you have access to the drive specified if the .asf files are not on the local computer.
Invalid directory. | The specified directory is incorrect or does not exist.
The file could not be opened because some other process is using it | The file is locked by another application. Make sure no .asf files are in use before running ASFCheck.
The error correction data is invalid. | The error correction data in the .asf file is incorrect. This problem can be repaired by ASFCheck..
Extra non-index data was detected at the end of the file. | The .asf file contained some corrupt data at the end of the file.
All of the streams that were supposed to be in the file could not be found. | One or more of the streams indicated in the ASF header are missing. This file may not play as expected and cannot be repaired. If the quality of the playback is unacceptable, recreate the .asf file..
A stream ID could not be read. | The stream ID of a payload in either the video or audio stream could not be read. This file is corrupted and irreparable. You must recreate the .asf file.
A stream ID is invalid. | The stream ID for a payload in either the audio or video stream does not have a corresponding stream properties object in the ASF file header. This is an irreparable problem. You must recreate the .asf file.
This is a stripped ASF file. | This is for informational purposes only.
The indexes do not point to the appropriate key frame. | The indexes for the video stream must point to the most recent key frame. This problem is repairable. You must recreate the .asf file.
The ASFChop OCX has not been registered. | ASFCheck uses ASFChop.ocx to correct indexes in .asf files. ASFChop must be installed on the computer that is running ASFCheck.
A bad version of the ASFChop OCX has been registered on this system. | ASFCheck uses ASFChop.ocx to correct indexes in .asf files. ASFChop must be installed on the computer that is running ASFCheck. If you receive this error, remove and reinstall Windows Media Tools .
This is an invalid ASF file because it contains a header that is greater than 64 kilobytes in size. | The size of the ASF header including scripts and markers must be less that 64 kilobytes (KB). This is an irreparable problem. You must recreate the .asf file.


Other Windows Media Tools

This section provides information on the following Windows Media Tools:

  • Windows Media Publish to ASF
  • Windows Media Author
  • Windows Media ASF Indexer


Windows Media Publish to ASF

Windows Media Publish to ASF for Microsoft PowerPoint 97 is a useful tool for converting PowerPoint presentations into .asf files.

Converting a PowerPoint presentation to .asf format makes it more widely available and makes it possible for users to access your presentation conveniently from any network location. Once you convert your presentation to .asf format, you can play it from:

  • An Internet HTTP server
  • A corporate intranet
  • A Windows Media server
  • A local computer

If you intend to stream your presentation from a Web page, you must create an .asx file. This text file transfers control of the data stream from the HTTP browser to Microsoft Windows Media Player, so that the data can be streamed. Consult your system administrator about placing your ASF presentation on an Internet or intranet server.

If you intend to stream your presentation from a Windows Media server, you have several options. For more information on how to store and stream the presentation from a Windows Media server, see the documentation installed with Windows Media Services or see your Windows Media system administrator.

Since Windows Media Player is extensible, you can embed your ASF presentations in applications written in Microsoft Visual Basic, Visual C++, or C and link your presentation to ActiveX controls. This lets you activate ASF streaming presentations from custom Web pages in a variety of ways.

For more information on using Windows Media Publish to ASF, see Publish to ASF Help.


Windows Media Author

Windows Media Author was co-developed by Microsoft and Digital Renaissance, Inc. For more information about Digital Renaissance, Inc. and their products, see the Digital Renaissance, Inc. Web site.

Windows Media Author is a flexible tool used to create .asf files out of existing image and sound files. A common use for Windows Media Author is creating illustrated audio files. Unlike other such tools that convert an existing file or live source into .asf files, Windows Media Author combines several types of media into one .asf file. Windows Media Author supplies predefined bit rates of 28.8 kilobits per second (Kbps) and 56 Kbps. Windows Media Author can also use codecs to compress image and audio files, making it easier to condense various media files so they fit in the target bandwidth. Windows Media Author does not let you build an .asf file that is too big for your target bandwidth.

Use Windows Media Author to combine source files, such as images and audio, with URLs and script commands. With this combination of media, you can create dynamic, fully interactive audio-visual files that can take a user to a site anywhere on the Internet or an intranet.

Windows Media Author cannot accept stored or live video as a source. To convert existing files (such as .avi, .wav, .mov or .mp3 files) to .asf files without changing the amount of compression, use VidToASF or WavToASF. To use live video to create .asf files use Windows Media Encoder. Windows Media Encoder is also used when you have existing files (such as .avi, .wav, .mov or .mp3 files) that are not compressed or that you want to use a different codec to compress the content to create an .asf file that will fit a specific target bandwidth.

For instructions on how to use Windows Media Author to create .asf files, see Windows Media Author Help.

Note

  • Windows Media Author can use Windows Media version 2.0 ASF Editor Project (.aep) files.

Related Topics

  • Understanding ASF streams


Windows Media ASF Indexer

Windows Media ASF Indexer is a tool that is used to add properties, markers, script commands, and indexes to an existing .asf file. ASF Indexer requires that Microsoft Windows Media Player be installed prior to using the tool.

When you use the tool, the .asf file will be playing in the display window, and at any time you wish, you can add markers and script commands to the file by clicking the appropriate button.

Properties are added by completing the property fields provided. The properties available are:

  • Title
  • Author
  • Copyright
  • Description
  • Rating

Indexing of the file occurs automatically when you open it within ASF Indexer. Indexing the file allows users to fast forward and rewind the stream when viewing it from a Windows Media on-demand publishing point.

Existing markers and script commands can be edited through ASF Indexer.

ASF Indexer can also be used to trim the start and end times of an .asf file so that superfluous content is not included.

Related Topics

  • Markers
  • Script commands


Windows Media Player

Microsoft Windows Media Player is the client software application used to receive ASF streams from a Windows Media server. A user can use Windows Media Player to access streams directly, or Windows Media Player can be started by opening an ASX file. Windows Media Player is used to play many other types of content. To learn about using Windows Media Player for other applications, see Windows Media Player Help.


Using Windows Media Player

There are three ways of using Microsoft Windows Media Player to deliver ASF content to a user. Windows Media Player can be used as a stand-alone program, started from a hyperlink, or embedded within a Web page.

ASF content can be in the form of either .asf files or ASF streams. Saved .asf files can be opened and played by Windows Media Player but are not streamed to it. Only content directly delivered to a client from a Windows Media server is streamed to Windows Media Player.


Accessing content from the stand-alone Windows Media Player

When you install Windows Media Player, it configures your computer to make associations with specific types of media, based on the protocol and file extensions. This means that you can use Windows Media Player to access any type of file that helps you receive ASF content.

To access content with Windows Media Player, from the File menu, click Open, then type a location into the Open dialog box.

You can use many different protocols and open many different types of content using Windows Media Player. For more information on opening content from applications other than Windows Media Services, see Windows Media Player Help.

Playing stored .asf files

To play a stored .asf file from a Windows Media server, in the Open dialog box type:

mms://server/file.asf

If the Windows Media server is configured to stream using HTTP, you would type:

http://server/file.asf

The server streams the file from the ASF content folder (for example, SystemDrive\ASFRoot) to the client. When a Windows Media server has HTTP streaming enabled, the server still uses the ASF content folder as its Home directory; the server does not use the HTTP virtual root (i.e., SystemDrive\wwwroot) as the Home directory.

Playing content via ASX files

You use ASX files to access .asf files from a Windows Media server, broadcast unicast publishing points, or multicast stations. The ASX file is a pointer to ASF content. To use ASX files with a stand-alone player, you must know the path to the ASX file. The most common way of accessing ASX files using the stand-alone player is to type the path to the file in the Open dialog box. This path can be a shared folder or a Web site. For example, to access a shared folder, type:

\\server\share\file.asx

Or, to access a Web site type:

http://server/file.asx

Windows Media Player downloads the ASX file, parses out the path to the ASF content, and then streams the content from the server.

Playing content from HTML pages

When an HTML page contains an embedded player (the Microsoft ActiveX control), you do not need to use the stand-alone player to access the Web page. If you choose to use this method, you can, but the preferred method is to open your Web browser and access the HTML page. To access Web pages with Windows Media Player, in the Open dialog box type:

http://Webserver/page.htm

Windows Media Player passes the URL to the local browser which opens and finds the Web page. Once you load the HTML page, the embedded Windows Media Player appears and begins rendering the ASF content associated with it.


Starting Windows Media Player from a link

There are two ways to start Microsoft Windows Media Player from a link on a Web page or Web application and receive content streamed from a Windows Media server:

  1. You can enable HTTP streaming and use HTTP links to the ASF content directly. You must use HTTP streaming to stream content through a firewall.
  2. You can use HTTP links to .asx files, which contain instructions that Windows Media Player uses to access ASF content. The .asx file must reside on an HTTP server, such as Internet Information Services (IIS), in a directory accessible to the user.

To launch Windows Media Player from a link in a Web page or Web application using an .asx metafile, create a URL in the HTML code similar to the following example:

<A HREF=http://server/file.asx>

This link will send the client to the .asx file which will in turn direct the player to the access point for your content.


Embedding Windows Media Player ActiveX control

You can embed the Microsoft Windows Media Player ActiveX control in a Web page or other application container that supports ActiveX so that Windows Media Player is not started as a separate application. Instead, the content stream you specify in the control properties is played in the browser frame after the page is rendered. This allows you more control over how the user receives the streamed content and is also an easy way of providing Windows Media Player to users who do not have it installed on their computers.

When a user accesses a page in which the control is embedded, a certificate identifying the publisher of the control appears. The certificate prompts the user either to agree to have the control downloaded or to continue rendering the page without downloading the control. Content is not delivered if the control is not installed.

You can set the properties of the control through the HTML <OBJECT> tag, to define which .asf file, publishing point, or station to open, as well as how to play it. You also can use Microsoft Visual Basic scripting to define the properties of the control, such as which buttons are displayed. The following HTML <OBJECT> tag shows the control’s Class ID of Windows Media Player and some of its properties.

<OBJECT CLASSID="clsid:22d6f312-b0f6-11d0-94ab-0080c74c7e95F"
HEIGHT=240
WIDTH=320
NAME=Msshow1
ID=Msshow1
>
<PARAM NAME="FileName" VALUE="mms://MSserver/Msshow1.asf">
</OBJECT>

To learn more about the Windows Media Player control and its properties, see the Microsoft Windows Media Player Control SDK at the Microsoft Web site.

How you set the properties determines how Windows Media Player works. The FileName parameter identifies the .asf file that is played. You set the value for this parameter to be a URL as if you were going to play the .asf file from the Open option on the Windows Media Player File menu.


Windows Media Codecs

The tools for creating ASF content use compression/decompression algorithms (codecs) to compress audio and/or video media, either from live sources or other media formats, to fit on a network's available bandwidth. Microsoft Windows Media Player then uses the same codec to decompress the ASF information prior to playing it. Separate codecs are applied to the audio and video portion of the ASF stream.

Codecs are designed to compress their source files to a certain bit rate, so not all codecs can be used to compress a file to a particular size. The difference in compression ratio also means a difference in playback quality. The codecs that do not compress their sources as much usually sound and look richer and more dynamic.

Windows Media Encoder can use any codec installed on your computer; however, the computer on which Windows Media Player is installed must also have the codec to play the .asf file or ASF stream. Windows Media Encoder does not come with the same number of codecs as Windows Media Player.


Codecs installed with Windows Media Encoder

Windows Media Encoder installs several audio and video codecs onto your computer. Codecs are also installed as part of the operating system and are sometimes added when you download files from the Internet. Windows Media Encoder can use any codec installed on your computer to encode ASF content; however, Microsoft Windows Media Player must have access to the same codec to decode your content. To ensure that your content can be decoded by Windows Media Player, choose codecs that are installed with Window Media Encoder.

Related Topics

  • Audio codec table
  • Video codec table
  • Windows Media Player core codecs
  • Windows Media Player full-install codecs


Audio codec table

The following codecs are installed with Windows Media Encoder. The Windows Media Audio codec is recommended for most content because it usually produces the best sound quality in a media file with mixed media types and music-based content. However, if you are creating a low bandwidth stream (below 20 Kbps) that has voice-only audio content, better results may be obtained by using the Sipro Labs ACELP.net codec.

Codec | Description
Windows Media Audio Codec version 2 The Windows Media Audio codec is a highly scalable codec that provides high quality mono and stereo audio content over a wide range of bandwidths. You can use the Windows Media Audio codec to encode audio content at bandwidths ranging from 5 kilobits per second (Kbps) to 160 Kbps. The audio sampling rate ranges from 8 kilohertz (kHz) to 48 kHz. This allows you to choose the best combination of bandwidth and sampling rates for your content.

This codec is also very loss tolerant, so it is excellent for use with streaming content. It has superb clarity and tonal depth to provide better sounding music content than comparable codecs.

In addition, this codec can be used to remove an audio track from a piece of content by selecting the 0 kilobits per second (Kbps) audio format. If you are creating audio files for download, the Windows Media Audio codec is a great choice because it provides near CD-quality sound at half of the datarate required by most codecs.

Windows Media Audio Codec version 1 | This codec was also known as MSAudio. It is provided to support playback of existing content but should not be used to encode content.
FhG MPEG Layer-3 | Moving Picture Experts Group (MPEG) Layer-3, which is created by FhG, is a high-fidelity mono audio codec that is particularly good for CD-quality audio for an intranet or the Internet. MPEG Layer-3 comes with several formats depending on the network bandwidth you choose.
Sipro ACELP.net | ACELP is a low bit-rate codec that provides excellent voice compression. ACELP comes with several audio formats depending on the network bandwidth you choose.
Voxware | Voxware provides high-quality sound using low- to mid-range bit rates. It comes with a variety of mono and stereo audio formats to choose from depending on your network bandwidth. It is also suitable for encoding mono voice-only content at extremely low bit-rates.

Related Topics

  • Using the Windows Media Audio codec
  • Understanding Windows Media Audio files


Video codec table

The following video codecs are installed with Windows Media Encoder. When possible, use the Microsoft MPEG-4 Video Codec version 3 for encoding video content.

Codec | Description
Microsoft MPEG-4 Video Codec version 1 | The Microsoft MPEG-4 codec is a low to high bit-rate video codec. The advantage of this codec is that it meets the standards set by the Moving Picture Experts Group (MPEG). Use version 1 if you provide content to version 2.0 servers or players.
Microsoft MPEG-4 Video Codec version 2 | The Microsoft MPEG-4 codec is a low to high bit-rate video codec. Version 2 of the codec is provided for compatibility with content and encoder configurations created with version 3.0 of Windows Media Tools.
Microsoft MPEG-4 Video Codec version 3 | The Microsoft MPEG-4 codec is a highly scalable video codec that supports a wide range of network bandwidths. The latest version of the Microsoft MPEG-4 video codec has been optimized for the Intel Pentium III processors. Using this codec provides faster on-demand encoding and higher data rates, resolution, and frame rates for live encoding. If you are using an Intel Pentium II processor you will still experience much faster video encoding performance. Version 3 of the codec also supports multiple bandwidth and high bandwidth encoding. Additionally, it includes the video de-blocking filter which improves the video quality of your content by removing the blockiness caused by video compression - especially at low data rates like 28.8Kbps.
Microsoft H.263 | H.263 is good for providing low to mid bit-rate video. This codec is optimized for video conferencing, so it is a good choice for presentations and other low-motion video content.


Codecs installed with Windows Media Player

There are two Microsoft Windows Media Player installations: a full installation and a core installation. The full installation contains all the codecs that Microsoft is licensed to provide, but it is large and takes a relatively long time to download. The core installation contains a minimal set of codecs and can be loaded much more quickly. The following sections list the codecs that are part of each installation. If you are not sure that a client computer has the necessary codec to render an .asf file or ASF stream, you can use the Microsoft ActiveX codebase feature. This forces a Web page to check whether the client computer contains the codecs necessary to play the .asf file or ASF stream.

Related Topics

  • Windows Media Player full-install codecs
  • Windows Media Player core codecs


Windows Media Player full-install codecs

The following codecs are installed as part of the full installation of Microsoft Windows Media Player:

  • Microsoft MPEG-4 version 1, and version 2, and version 3 video codecs
  • FhG MPEG Layer-3 audio codec
  • Voxware audio codec
  • Windows Media Audio codec version 1 and version 2
  • Sipro ACELP.net


Windows Media Player core codecs

The following codecs are installed as part of the Microsoft Windows Media Player core installation:

  • Voxware audio codec
  • FhG MPEG Layer-3 audio codec
  • Windows Media Audio codec version 1 and version 2
  • Microsoft MPEG-4 video codec


Windows Media Technologies Glossary

This glossary contains many terms that are helpful in understanding Microsoft Windows Media Technologies.

  • A—B
  • C—H
  • I—O
  • P—T
  • U—Z

A—B

access control list (ACL) checking
A part of Microsoft Windows security that Windows Media Services uses to verify that a client has permission to access a particular file or directory. Using ACL checking, a system administrator can set permission restrictions on an .asf file and on directories.
ActiveX
A Microsoft technology that enables different programs to share information. ActiveX extends Microsoft Windows-based architecture to include Internet and corporate intranet features and capabilities. Developers use it to build user interactivity into programs and World Wide Web pages.
ActiveX controls
Controls that use ActiveX technology. These controls can be downloaded automatically from a Web page and executed by a Web browser.
Advanced Streaming Format (ASF)
A data format for streaming audio and video content, images, and script commands in packets over a network. ASF content can be an .asf file or a live stream generated by Windows Media Encoder. ASF content that is in the process of being delivered over a network is called an ASF stream.
Advanced Streaming Format (.asf) file
An audio or video file that is formatted in ASF.
alias
A name that is substituted for a URL. For example, when creating a station, you can use an alias to specify the information that defines the connection between the Windows Media server components and Windows Media Encoder. For example, Stream1 is the alias for the URL, msbd://server:port. When you are creating a station, you can type Stream1 in the Alias dialog box. The server components resolve this alias by checking it against the definition on the encoder. The benefit of using aliases is that you do not have to remember constantly changing URLs. As long as you know the alias name, the URL can be resolved correctly.
announcement
A simple .asx file that contains information about the URL for a stream. Announcement files are created by Windows Media Administrator when a unicast publishing point or multicast station is created. The client quickly loads the announcement file, then opens the ASF stream in the unicast publishing point or extracts the URL to the ASF stream from an .nsc file and plays a program at the multicast station.
ASFCheck
A command-line utility for detecting and fixing some of the problems that are commonly found in ASF version 1.0 files.
ASFChop
A command-line utility for trimming the beginning or end of an ASF stream that has been stored by Windows Media Encoder.
ASFEditor
See Windows Media Author.
ASF root directory
See Home publishing point.
ASF Stream Descriptor (.asd) file
A configuration file created and read by Windows Media Encoder. The file contains Encoder settings that describe the characteristics of a multimedia stream. The file also is read by the Windows Media Station service to define the stream format supported by a given station.
ASF Stream Redirector (.asx) file
An ASX metafile that provides information that Microsoft Windows Media Player uses to receive unicast streams, multicast streams, and other supported media from an intranet or the Internet. These files are loaded quickly by Windows Media Player and contain information for the following purposes:
  • To transfer control from the HTTP browser to the Windows Media Player control so that streams can be directed to Windows Media Player.
  • To provide an announcement that Windows Media Player can use to access a program on a Windows Media station.
  • To provide references to streams and the rules for protocol rollover that Windows Media Player uses to process them.
  • To provide a playlist that defines the order in which streams are streamed to Windows Media Player.

attribute
In an .asx file, a qualifier that describes a property of an ASX element. For example, an .asx file can include the element Repeat that contains the attribute Count. This particular element and attribute define the number of times the client repeats the playback of the piece of content or the playlist.
Audio Compression Manager (ACM)
A device driver manger that controls which applications are required to play or record sounds. The ACM manages the following types of drivers:
  • Compressor and decompressor (codec) drivers
  • Format converter drivers
  • Filter drivers

If a source file was created on a non-Windows computer, it may not use an ACM codec and thus can not be used by Windows Media Technologies.

authentication
The process of verifying logon information for a client. A Windows Media server can be set to authenticate clients before they are given access to ASF content or streams.
authorization
The process of granting or denying access permissions to clients. A Windows Media server can be set to authorize client requests for ASF content.
bandwidth
The amount of data that can be transmitted in a fixed amount of time. On computer networks, higher bandwidth indicates faster data transfer. Network bandwidth is expressed in bits per second (bps).

In the Windows Media Services environment, Windows Media Administrator can specify bandwidth constraints for a variety of functions, including maximum aggregate bandwidth unicast from a server, maximum bandwidth for a single unicast stream from a server, and continuous bandwidth used by a multicast file transfer from a server.

bit rate
The speed at which binary content can be streamed across a network. It usually is measured in kilobits per second (Kbps)—for example, 28.8 Kbps. Windows Media Encoder and Windows Media Administrator have settings for the bit rate of ASF content.
broadcast
Describes how a client experiences receiving a stream. A broadcast stream can be multicast or unicast. In a broadcast connection, the client is passive and does not control when the stream starts or stops. In contrast, in an on-demand connection, the client is active and controls when the stream is started or stopped.
broadcast multicast
Delivery of one stream by a Windows Media server to many clients, which listen to it by monitoring the IP address over which the stream is multicast. From the client perspective, a broadcast multicast is a connectionless experience because the client never connects to a Windows Media server.
broadcast unicast
A point-to-point connection that a client initiates to a publishing point on a Windows Media server.
buffer
An area of memory reserved for use as an intermediate repository in which data is temporarily held while waiting to be transferred between two locations. A buffer ensures that there is an uninterrupted flow of data between computers.

C—H

Caption
A feature that sends a Synchronized Accessible Media Interchange (SAMI) file (a file in closed-caption format) with an ASF stream. Captioning is an accessibility feature that displays captions along with the video and audio, much like the closed-captioning that accompanies some television programs. It also can be used to display subtitles in a foreign language.
channel
See station.
client
Typically, the software that makes requests in client/server communications. Client software requests connections and communicates with servers.
codec
Short for compressor/decompressor. An algorithm or scheme used when recording digital video or audio. A codec is used, for example, when video is transmitted over the Internet; the video is compressed on the sending end and decompressed on the receiving end. Windows Media Tools provides a choice of codecs for ASF content. Users can select a codec based on the audio or image quality, and image size preferred.
content
Data that servers stream to a client or clients via unicast or multicast. Content can originate from live audio or live video presentation, stored audio or video files, still images, or slide shows. The content needs to be transformed from its original state into ASF in order for a server to stream it. Windows Media servers can stream live ASF streams or stored .asf files as content.
destination address
An IP address and port, from which a listening client can receive a multicast. A client instructs its network card to listen for packets arriving at the destination address and port.
distributed Component Object Model (DCOM)
An extension of the Component Object Model (COM). DCOM enables software components to communicate directly with each other across networks, including the Internet and intranets, in a reliable, secure, and efficient manner.
distribution
Delivering an ASF stream from one server to another. Distribution serves many purposes, such as:
  • Distributing a stream to another server, which then unicasts the stream, allowing clients in a part of the network that is not enabled for multicasts to receive the stream.
  • Distributing a stream to a server that is enabled for HTTP streaming. This allows users behind a firewall to receive a stream that they otherwise would not be able to receive.
  • Distributing a stream from one Windows Media server to another Windows Media server, in order to create more unicast streams. For example, if you have reached the maximum number of unicast streams for a server, you can send a stream to another server, which then can unicast that stream to more clients.

distribution mode
A setting of Windows Media server components that indicates whether Windows Media server components are going to multicast the ASF stream, distribute the ASF stream (via unicast), or do both. If the distribution mode is set to multicast only, then the server broadcasts the ASF stream via multicast and unicast. If the distribution mode is set to distribution only, then the server delivers the ASF stream if requested by another server that is going to broadcast the ASF stream. If the distribution mode is set to both, then the multicast mode and the distribution mode are functional.
element
In an .asx file, an entity that defines a particular setting or action to the client. Elements can be modified by attributes. For example, a ref element has attributes that define the URL that points to particular content.
encoder
See Windows Media Encoder.
error correction
A method for controlling data transfer errors in a unidirectional communication system. Extra information is sent, along with the data, that the receiver uses to check and correct the data.
Error Correction Code (ECC)
The method of error correction used in an earlier version of Windows Media Services. Redundant data is sent with the data stream to detect and control single bit errors in the data stream. In the current version of Windows Media Services, streaming errors are corrected through UDP resend.
File Transfer service (FTS)
A feature of Windows Media Services that multicasts files over a network to an ActiveX control (Nsfile.ocx) on a client computer.
firewall
A system or combination of systems that enforces a boundary between two or more networks, and keeps unauthorized users out of private networks. A firewall system checks all incoming and outgoing messages to make sure they meet predetermined security criteria.
frame
One static image of many sequential images that make up a video title.
frame rate
The speed at which individual frames change. High frame rates generally produce better quality images.
home directory
See Home publishing point.
Home publishing point
The root directory for publishing ASF content. Microsoft Windows Media Player can stream any .asf files placed in this directory or its subdirectories. A home publishing point is also an on-demand publishing point. Unlike other publishing points, a home publishing point does not have an alias. Instead, the computer name is used in a URL for access to the home publishing point. Also called the ASF root directory.

I—O

illustrated audio
A stream that combines audio content with synchronized images to make up an online slide show that runs at low bandwidths.
image color matching (ICM)
An application interface that communicates the color information of each device so that applications can accurately display, print, and pass colors on to other users and applications. Other operating systems may use different color matching schemes. Video content created using non-ICM data does not render correctly on Windows based computers.
Integrated Services Digital Network (ISDN)
A completely digital telephone/telecommunications network for carrying voice, text, images, and video traffic at high speed by sending digitally-encoded signals.
Internet Protocol address (IP address)
A 32-bit number that is the unique IP address of each computer or device on the Internet. This number specifies a physical location, or node, on the network.
Internet Server API (ISAPI)
A framework for creating a dynamic link library (DLL) to provide Internet server-side functionality. Windows Media Services uses ISAPI to provide one of the options for security.
intranet
A network belonging to an organization. Only members of that organization have access to it. An intranet that is connected to the Internet usually is protected by a firewall or other device.
listen
To monitor a specific multicast IP address. Microsoft Windows Media Player monitors a multicast IP address for data that is being streamed from a server.
local
Close at hand or restricted to a particular area. In communications, a local device is one that can be accessed directly rather than by means of a communications link. In information processing, a local operation is one performed by the computer at hand rather than by a remote computer. For example, the server computer on which Windows Media Services is installed is the local computer with respect to that server.
log
To collect and store data about Windows Media Services events. Windows Media Administrator can log information about unicasts, multicasts, and clients.
marker
A pointer to a specific place, measured in time, in an .asf file. Microsoft Windows Media Player uses markers to go directly to a point in an .asf file. Markers in an .asf file allow viewers to skip ahead to a marker or skip back to a previous marker in order to see a particular part of the .asf file again.
Media Stream Broadcast Distribution protocol (MSBD protocol)
A protocol used to reference a Windows Media Encoder, which is the source of a stream, such as msbd://server_name. It also is used when streaming from the Windows Media Station service to a content-storage server. In addition it is used for server to server distribution.
metadata
In a Windows Media Technologies system, information about content, such as the title, author or copyright. The information is contained in an .asx file.
metafile
In a Windows Media Technologies system, a text file that contains information, for media content. Windows Media Services use three kinds of metafiles: .asd file metafiles, .asx file metafiles, and .nsc file metafiles.
Microsoft Internet Explorer
A Windows-based Web browser produced by Microsoft Corporation. Microsoft Internet Explorer version 5 is used by Windows Media Services in several ways. For example, Windows Media Administrator uses Internet Explorer to display its Web pages. Content creators can embed the Microsoft Windows Media Player ActiveX control in an HTML page that is viewed with Internet Explorer.
Microsoft Media Server protocol (MMS protocol)
A protocol used to reference and stream .asf files from a Windows Media server.
Microsoft Windows Backup
A utility that helps you protect data from accidental loss if your system experiences hardware or storage failure.
Microsoft Windows Media Player
A client program or control that receives streaming media from a Windows Media server. This control either can run as a stand-alone client executable program or can be embedded in a Web page, C++ program, or a Microsoft Visual Basic program that uses the client ActiveX control. Microsoft Windows Media Player is the first version that is a universal player.
multicast
A one-to-many connection in which multiple clients can receive the same stream from a server. To receive a multicast, a client must have access to a multicast-enabled network. In contrast, a unicast is a one-to-one connection in which one client receives a distinct stream from a server.
multicast-enabled network
A network that has routers that can interpret Class D IP addresses.
multiple bit rate video
A feature of Windows Media Technologies that supports the creating and streaming of six encoded video streams within one ASF stream. Using multiple bit rate video in Windows Media Encoder creates ASF content that has a variety of video streams at variable bandwidths for either low or high bandwidth target audiences. When creating multiple bit rate content for low bandwidth audiences, the video streams can range from 18 Kbps to 300 Kbps. Alternatively, high bandwidth target audiences include video streams that range from 81 Kbps to 10 Mbps. Both target audiences include a separate encoded audio stream. When encoding multiple bit rate video, an additional insurance video stream is also encoded that is based on a percentage of the lowest selected bandwidth. After receiving this multiple encoded stream, the server determines which bandwidth to stream based on the network bandwidth available. Multiple bit rate video is not supported on generic HTTP servers.
.ocx
Frequently used as a synonym for an ActiveX control, .ocx is the file name extension for a control.
on-demand
Describes stored media content that is available for streaming on a Windows Media Services system. Windows Media Services can stream either stored content from a publishing point, or live content using Windows Media Encoder.
on-demand unicast
A point-to-point connection that a client initiates to a publishing point. In an on-demand unicast, the server streams stored content to the user.

P—T

packet
A unit of data transmitted over a network. A packet is of fixed size, and is routed between a source and a destination. It contains binary information that represents both data and a header containing an ID number, source address, and destination address.
padding
Empty space that is appended to individual packets in a content stream to keep packet size constant. Windows Media Services supports variable packet length. However, Windows Media Encoder limits packets to a fixed length to ensure compatibility with earlier versions of Windows Media Services.
payload
A data unit that contains one or many stream data objects.
player
A client program or control that receives content streamed from a Windows Media server. Throughout the online Help, this refers to Microsoft Windows Media Player.
playlist
A list of streams that Microsoft Windows Media Player plays sequentially. Windows Media Services supports both server-side and client-side playlists.
  • A server-side playlist is played as part of a program over a station. You use the Streams button on the Stations page of Windows Media Administrator to create the playlist. A server-side playlist can include URLs that point to streams, including .asf files.
  • A client-side playlist is an .asx file that contains multiple Entry elements. Windows Media Player plays the Entry elements in the order in which they appear in the .asx file.

port
A location on a server from which content streams to a client. A port is represented by a number that is part of a URL. Windows Media server components, when in use, bind to ports. By default, the Windows Media Unicast service binds to port 1755 and the Windows Media Station service binds to port 7007. If HTTP streaming is enabled for a service, then that service switches to use port 80, which is the preferred port for any HTTP streaming. You can change the ports that any of the Windows Media server components use by editing the registry.
program
One or more streams that Windows Media server components manage as a single entity. The program can be thought of as a container holding streams.
property
A characteristic of an object, such as a stream. For example, Windows Media Encoder displays stream properties, such as the bandwidth and the codec used, on a properties page.
protocol
A set of formats and procedures that enable computers to exchange information. Protocols that Windows Media Services use include HTTP, MMS, and MSBD.
protocol rollover
A procedure that allows switching from one protocol to another when a Windows Media server fails to make a connection using a particular protocol. For example, if a client uses MMS protocol to request ASF content, the server attempts to stream the ASF content using UDP. If that protocol fails, then the server attempts to stream the content using TCP, and then if that fails, the server attempts to use HTTP, if it has been enabled. Protocol rollover is not utilized if either MMSU protocol (MMS over UDP) or MMST protocol (MMS over TCP) is used to request ASF content.
proxy server
A server computer that controls Web-based traffic between local area networks and the Internet or other intranets.
publishing point
A virtual directory used for storing content that is available to clients, or for accessing a live stream. Clients reach a publishing point through its URL.
Publishing Point Events Monitor
A tool that monitors and displays server unicast events. Specifically, the Publishing Point Events Monitor displays unicast server (publishing point) event activities.
QuickStart
A group of wizards in Windows Media Technologies that are used for such tasks as configuring Windows Media Encoder and creating stations or publishing points.
remote
Not in the immediate vicinity or not directly accessible. A computer or other device located in another place (room, building, or city) and accessible through some type of communications link. For example, Windows Media Administrator can be run on a computer (a remote computer) other than the Windows Media server, so that a remote administrator can administer the server. Windows Media Encoder also can be run from a remote computer.
router
A device that connects two or more networks, and carries data forward. A router determines where the destination computer is located, and then finds the best way to transmit the data there.
scope
In multicasting, the reach of a stream. Windows Media Administrator enables the user to define the scope of a multicast. The scope of a multicast stream can be set to reach only an immediate subnet, or it can be set to reach the entire Internet. Scope is also equal to time-to-live (TTL).
script commands
Special instructions that are included in ASF data streams and delivered to the client. Microsoft Windows Media Player passes script commands to a device or an application that interprets them. Script commands are used for such tasks as calling specific files or navigating to a specific Web site.
security
The process of controlling access to resources based on user credentials and permissions. In a Windows Media Services environment, security means restricting and controlling access to Windows Media server components, Windows Media Administrator, and Windows Media content, both stored and streamed. Windows Media Services has built-in security mechanisms that integrate with Microsoft NTLM. Windows Media Services supports both server-side and client-side authentication.
station
A defined location from which a player can receive streams. In effect, it is an IP address and a port. Windows Media server components use stations with ASF streams only, and save station information as a file with an .nsc extension.
stream
Data transmitted across a network and any properties associated with the data. Streaming data allows the player to begin rendering the data immediately instead of waiting for the entire file to be downloaded.
stream data object
Data that represents an individual data type within the ASF stream, for example, a compressed video frame.
stream format
Information about the correct settings necessary for a player to render a stream properly. This information contains such settings as the bit rate, the size of the image, and the codec. Stream formats can be template stream formats or custom stream formats. Stream formats are contained in .nsc, .asd, and .asf files.
template stream format (TSF)
In Windows Media Technologies, a predefined group of settings that match content type and bit rate with appropriate audio and video codecs. Windows Media Encoder uses this feature to assist the user in quickly configuring the encoder to create ASF content.
time-to-live (TTL)
In multicasting, a value that defines the number of routers through which a multicast can pass before a router stops forwarding the multicast. TTL is equivalent to scope.

U—Z

unicast
A client/server connection in which a client receives an on-demand stream of stored content from a server, or receives a broadcast of live content. No other client has access to this stream. In contrast, a single multicast stream is available to multiple clients.
unicast rollover
A procedure that Microsoft Windows Media Player follows if it cannot receive a multicast from a station on a Windows Media server. Windows Media Player sometimes cannot receive a multicast for several reasons, including the absence of multicast-enabled routers on the network. If Windows Media Player cannot receive the multicast, it uses the unicast rollover URL contained in the .nsc file to connect to a server and request a unicast of the stream.
Universal Naming Convention (UNC)
Also called Uniform Naming Convention. A convention for specifying directories, servers, and other resources on a network, using two slashes // or backslashes \\ to indicate the name of the computer, and one slash to indicate path or directory levels within the computer, in this format: \\computer\directory.
URL flips
A set of instructions to the browser to change the content being displayed on a Web page, regardless of the state of the display. This is what enables the user to link from one page to another without waiting for the content on the first page to be completely rendered.
URL rollover
A rollover method used to specify different Windows Media servers that contain the same content. For example, if the first REF tag in a .asx file specifies an .asf file on a server called hound1 and the second REF tag specifies a copy of the file on hound2, Windows Media Player can reach the file using either server. If hound1 is too busy or fails, Windows Media Player automatically connects to hound2.
User Datagram Protocol (UDP)
A connectionless transport protocol in the TCP/IP protocol stack that, like TCP, runs on top of IP networks.
video capture card
An add-on board for providing digitized images on a computer. With a video capture card, you can provide live camera or VCR input to Windows Media Encoder.
VidToASF
A command-line utility that quickly converts an edited .avi or .mov file to an .asf file so that it can be stored on a Windows Media server and streamed to clients.
WavToASF
A command-line utility that quickly converts an edited .wav audio file to an .asf file so that it can be stored on a Windows Media server and streamed to clients.
Windows Media Administrator
A Web-based administrative application for monitoring real-time usage of Windows Media component services, managing content, and configuring the system.
Windows Media ASF Indexer
A Windows-based utility for deleting portions of an ASF stream that has been stored by Windows Media Encoder. You also can use Windows Media ASF Indexer to edit properties, markers, and script commands.
Windows Media Audio (.wma) file
A special type of advanced streaming format file for use with audio-only content encoded with the Windows Media Audio codec.
Windows Media Audio Redirector (.wax) file
A special type of .asx metafile for use with .wma files. The .wax file includes information about the location of the .wma file on the Windows Media server and the properties of the file.
Windows Media Author
A graphical interface tool for creating and testing illustrated audio. The tool is designed to combine and synchronize audio and image files. Using it, the author can manage objects—sounds, images, and URLs—so that they appear at the correct time during playback. This tool uses technology from Digital Renaissance, Inc.
Windows Media client
The ActiveX control called Microsoft Windows Media Player that receives and renders ASF content from Windows Media server components. The client can be on the same computer as the server, or it can be on another computer.
Windows Media component services
A set of services running on a Windows Media server. These services multicast and unicast live audio and video presentations and stored files to client computers.
Windows Media Encoder
A feature of Windows Media Technologies used to create live ASF streams. Windows Media Encoder turns live audio and video content into an ASF stream and distributes that stream through a port. Windows Media Encoder also can save an ASF stream as an .asf file. Windows Media Encoder can distribute an ASF stream via MSBD protocol or HTTP.
Windows Media Plug-in for Adobe Premiere
A utility that allows a content creator to use Adobe Premiere to produce ASF content for Windows Media Technologies.
Windows Media Presenter for Microsoft PowerPoint 97
A Windows Media Technologies feature, available from within Microsoft PowerPoint 97. It enables PowerPoint to connect to Windows Media Encoder and to send a PowerPoint presentation to a Windows Media server for distribution to client computers.
Windows Media program (.nsp) file
A file that contains information about a Windows Media Services program, used primarily in backing up and restoring Windows Media Services program definitions.
Windows Media server components
Another term for Windows Media Services, which is used to multicast and unicast live audio and video presentations and stored files to client computers. Includes both Windows Media component services, which run on a Windows Media server and Windows Media Administrator, which is used to manage these services.
Windows Media Services
Another term for Windows Media server components, which is used to multicast and unicast live audio and video presentations and stored files to client computers. Includes both Windows Media component services, which run on a Windows Media server and Windows Media Administrator, which is used to manage these services.
Windows Media Station (.nsc) file
A file that describes a station to the player. The player accesses the station file indirectly by way of an .asx file that directs the client to a specific .nsc file.
Windows Media Monitor service
One of the Windows Media component services.
Windows Media Program service
One of the Windows Media component services.
Windows Media Station service
One of the Windows Media component services that provides multicasting, distribution, and storage functions for ASF streams. It can manage multiple stations, with each station having an ASF stream as input, and direct the stream to a multicast address, one or more distribution servers, a disk, or a combination of all three. A similar feature, Windows Media Unicast service, is available for unicasting ASF streams.
Windows Media Technologies
The family of streaming media applications that includes Windows Media Services, Windows Media Tools, and Windows Media Player. Windows Media Tools create ASF content that can be served to client computers using Windows Media Services and played with Windows Media Player.
Windows Media Tools
A set of tools that can be used to create ASF content for Windows Media Services. These tools include Windows Media Encoder, Windows Media Author, and Windows Media ASF Indexer; the conversion utilities VidToASF and WavToASF; and the file utilities ASFCheck and ASFChop.
Windows Media Unicast service
One of the Windows Media component services that provides unicasting functions for ASF streams. This service manages publishing points to which clients connect in order to receive either broadcast unicast streams or on-demand unicast streams. A similar feature, Windows Media Station service, is available for multicasting ASF streams.


Digital Rights Management

Digital Rights Management (DRM) is the technology for securing content and managing the rights for its access. This technology is still being developed and researched; however, the first step toward preventing piracy of digital media content is being taken with the introduction of Windows Media Rights Manager. Windows Media Rights Manager will help you protect and secure your audio and video content through encrypting source .asf , .mp3, and .wav files into packaged .asf files and by providing licenses to your users. By implementing this feature, you will be able to know who has copies of your content and place a digital signature on each piece of content you distribute.

Using Windows Media Rights Manager will have an impact on your entire streaming system. This overview touches on some of the areas of interest for content creators, web-publishers, and end-users. For more detailed information see the Windows Media Technologies page at the Microsoft Web Site or the Windows Media Rights Manager documentation.


Content creators

Windows Media Rights Manager provides a way for you to secure your content before distributing it to internet service providers through use of Windows Media Packager. When you are creating ASF content, if you wish to implement DRM on your .asf file you have two options:

  • Use Windows Media Tools to create the .asf file, then use Windows Media Packager to package the file.
  • Use Windows Media Packager to directly create a packaged file.

Packaging a file does several different things:

  • Encrypts the file with a private key
  • Sets the URL to the license server
  • Sets the URL to the official web site
  • Includes any banners or images into the file
  • Sets the properties for Title, Artist, Copyright, and Genre.

Once a file has been packaged, it can not be modified by the Windows Media Tools. Properties of the file are set and protected from modification. Therefore, if you have a piece of content that you may want to modify later, it is best to create the file with Windows Media Tools first, save a back up copy, and then create the packaged file.


Web publishing

The Windows Media Rights Manager includes a Site Wizard to help you publish packaged content on your web site. Once a piece of content has been packaged, users will need a valid license to play the content. License verification occurs when users try to play the content. If users do not have a valid license on their computer, the browser is launched to take them to your web site to register their content. Once the user has registered with you, a valid license and decryption key will be downloaded to the computer and the content will play.

As the publisher you are required to maintain the databases of licenses and users. Windows Media License Service uses a SQL Server database, so you must have SQL Server installed prior to installation of the Windows Media Rights Manager. Window Media Services is also required to stream packaged content.

Installation of Windows Media Rights Manager includes installation of Windows Media Packager to manage content and licenses on your site:


User experience

Users need Microsoft Windows Media Player 6.2 to play packaged files. Packaged files can be streamed from a Windows Media server or can be downloaded for local play. If the correct version of Windows Media Player is not present on the user's computer when the user attempts to play the protected content, the user's browser opens and navigates to a download site where the user can download Windows Media Player.

Windows Media Player checks if the user has a license to play the content. If the user does not have a valid license, the user's browser opens and navigates to the license registration page on your Web site. A license is issued after the user fills out the registration information, and then Windows Media Player will play the content. The user can play the content until the license expires. The user is informed during license download the terms of the license. A license can be for an unlimited time, a set amount of time, or a set number of playbacks. However, if a registered user copies the content and shares it with another user, that user is required to go through the registration experience. Licenses and decryption keys cannot be copied and shared among different computers.

When Windows Media Player plays protected content, the user sees the following items:

  • The content title.
  • The artist name.
  • A copyright notice.
  • A banner image.
  • Video images.
  • A legitimacy icon, indicating that the content is protected and has not been tampered with.

In addition, clicking different areas of the window opens the user's web browser to a corresponding URL. For example, clicking the banner image might open the distributor's web site, and clicking the title might open the artist's web site.


Finding more information

Windows Media Rights Manager is a new and exciting technology for use with audio and video content. You can obtain the Windows Media Rights Manager Requirements and Installation Guide from the Window Media Technologies page at the Microsoft Web site.

This guide lists the requirements for hardware and software that must be met before you can install Windows Media Rights Manager. It also describes the Windows Media Rights Manager installation process, discusses the required media and image files formats, outlines the encryption process, and discusses watermarking and pre-encoding options for your content.

Use the Quick Start Guide to get your Windows Media Rights Manager Web site up and running quickly.

Windows Media Rights Manager is available for you to download on the Windows Media Technologies downloads page at the Microsoft Web Site.


Accessibility Appendix

Microsoft is committed to making its products and services easier for everyone to use. This appendix provides information about the following features, products and services, which make Microsoft Windows and Microsoft Windows Media Services more accessible for people with disabilities:

  • Features and hints for customizing Windows
  • Microsoft services for people who are deaf or hard-of-hearing
  • Microsoft software documentation online, or on audio cassette, floppy disk, or compact disc (CD)
  • Third-party utilities to enhance accessibility
  • Other products and services for people with disabilities

Note

  • The information in this appendix applies only if you acquired this Microsoft product in the United States. If you acquired Windows outside the United States, your package contains a subsidiary information card listing Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the type of products and services described in this appendix are available in your area.


Customizing Windows

There are many ways you can customize Microsoft Windows to make your computer more accessible.

  • Beginning with Windows 95, accessibility features are built into Windows. These features are useful for individuals who have difficulty typing or using a mouse, have moderately impaired vision, or who are deaf or hard-of-hearing. The features can be installed during setup, or you can add them later from your Windows installation disks. Look up “accessibility” in the Windows HTMLHelp Index for information about installing and using these features.
  • You can also use Control Panel and other built-in features to adjust the appearance and behavior of Windows to suit varying vision and motor abilities. These include adjusting colors and sizes, sound volume, and the behavior of the mouse and keyboard.
  • Dvorak keyboard layouts make the most frequently typed characters on a keyboard more accessible if you have difficulty using the standard “QWERTY” layout. There are three Dvorak layouts: one if you are a two-handed user, one if you type with your left hand only, and one if you type with your right hand only. You do not need to purchase any special equipment to use these features.

The specific features available, and whether they are built-in or must be obtained separately, depend on which operating system you are using.

For full documentation on the accessibility features available in the operating system you are using, obtain the appropriate application notes listed below. Accessibility features are also documented in the Microsoft Windows NT Resource Kit.


Microsoft services for people who are deaf or hard-of-hearing

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TT/TDD) service.


Sales information

You can contact Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 A.M. and 5:30 P.M. Pacific time.


Technical assistance

For technical assistance in the United States, you can contact Microsoft Support Network on a text telephone at (425) 635-4948 between 6:00 A.M. and 6:00 P.M. Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 A.M. and 8:00 P.M. Eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to Microsoft prices, terms, and conditions in place at the time the service is used.


Microsoft documentation in alternative formats

In addition to the standard forms of documentation, many Microsoft products are also available in other formats to make them more accessible.

Windows Media Services documentation is available as online Help or printable documentation. You can print the documentation from the .doc files in SystemDrive\SystemRoot\system32\Windows Media\docs\print. The files in this directory are neutralized documents, which means that you can open them in any word processor.

If you have difficulty reading or handling printed documentation, you can obtain many Microsoft publications from Recording for the Blind & Dyslexic, Inc. Recording for the Blind & Dyslexic distributes these documents to registered, eligible members of their distribution service, either on audio cassettes or on floppy disks. The Recording for the Blind & Dyslexic collection contains more than 80,000 titles, including Microsoft product documentation and books from Microsoft Press. You can contact Recording for the Blind & Dyslexic at the following address or phone numbers for information about eligibility and availability of Microsoft product documentation and books from Microsoft Press:

Recording for the Blind & Dyslexic, Inc.
20 Roszel Road
Princeton, NJ 08540

Phone: (609) 452-0606
Fax: (609) 987-8116
WWW: http://www.rfbd.org/


Third-party utilities to enhance accessibility

A wide variety of third-party hardware and software products are available to make it easier to use personal computers. Among the different types of products available for the MS-DOS and Microsoft Windows operating systems are:

  • Programs that enlarge or alter the color of information on the screen for people with visual impairments.
  • Programs that describe information on the screen in Braille or synthesized speech for people who are blind or have difficulty reading.
  • Hardware and software utilities that modify the behavior of the mouse and keyboard.
  • Programs that enable people to “type” using a mouse or their voice.
  • Word or phrase prediction software that enables people to type more quickly and with fewer keystrokes.
  • Alternative input devices, such as single switch or puff-and-sip devices, for people who cannot use a mouse or a keyboard.

To learn more about these products, see Getting more accessibility information.


Getting more accessibility information

In addition to the features and resources already described in this appendix, other products, services, and resources are available from Microsoft and other organizations.


Additional Microsoft products and services for people with disabilities

For more information for people with disabilities, contact:

Microsoft Sales Information Center
One Microsoft Way
Redmond, WA 98052-6393

World Wide Web: http://www.microsoft.com/
Voice telephone: (800) 426-9400
Text telephone: (800) 892-5234


Directories of computer products for people with disabilities

The Trace R&D Center at the University of Wisconsin-Madison produces a book and a compact disc (CD) that describe products that help people with disabilities use computers. The book, titled Trace Resource Book, provides descriptions and photographs of about 2,000 products. The CD, titled CO-NET CD, provides a database of more than 18,000 products and other information for people with disabilities. It is issued twice a year.

To obtain these directories, contact:

Trace R&D Center
University of Wisconsin
S-151 Waisman Center
1500 Highland Avenue
Madison, WI 53705-2280

World Wide Web: http://trace.wisc.edu/
Fax: (608) 262-8848


Assistive technology programs for people with disabilities

For general information and recommendations on how computers can help specific needs, you should consult a trained evaluator. An assistive technology program in your area will provide referrals to programs and services that are available to you.

To locate the assistive technology program nearest you, contact:

National Information System
University of South Carolina
Center for Developmental Disabilities
Columbia, SC 29208

Voice/text telephone: (803) 935-5231
Fax: (803) 935-5059


Legal Notice

Information in this document, including URL and other Internet Web site references, is subject to change without notice. The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

Ó 1996-1999 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, MS, Windows, Windows Media, Windows NT, ActiveX, FrontPage, JScript, Microsoft Press, NetShow, PowerPoint, Visual Basic, Visual C++, Visual InterDev, Visual J++, Win32 and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

Macintosh is a registered trademark of Apple Computer, Inc. used under license.

QuickTime and QuickTime VR are registered trademarks of Apple Corporation.

Premiere is a registered trademark of Adobe Corporation.

Other product and company names mentioned herein may be the trademarks of their respective owners.

The following statements apply only to the Python Language runtime:

Copyright © 1991-1995 by Stichting Mathematisch Centrum, Amsterdam, The Netherlands. All Rights Reserved. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the names of Stichting Mathematisch Centrum or CWI not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.